<?php
class ts_vgallery_function {
	/**
	 * The ID of this plugin.
	 *
	 * @since    1.7.7
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;
	/**
	 * The version of this plugin.
	 *
	 * @since    1.7.7
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;
	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.7.7
	 * @param      string $plugin_name       The name of the plugin.
	 * @param      string $version    The version of this plugin.
	 */
	public function __construct() {
		$this->ts_vgallery_fonts = array(
			'tsvg_fonts'         => array(
				'tsvg_emojies'     => array(
					'💯' => 'ts-vgallery-emoji ts-vgallery-emoji-100',
					'😀' => 'ts-vgallery-emoji ts-vgallery-emoji-grinning',
					'😬' => 'ts-vgallery-emoji ts-vgallery-emoji-grimacing',
					'😁' => 'ts-vgallery-emoji ts-vgallery-emoji-grin',
					'😂' => 'ts-vgallery-emoji ts-vgallery-emoji-joy',
					'🤣' => 'ts-vgallery-emoji ts-vgallery-emoji-rofl',
					'🥳' => 'ts-vgallery-emoji ts-vgallery-emoji-partying',
					'😃' => 'ts-vgallery-emoji ts-vgallery-emoji-smiley',
					'😄' => 'ts-vgallery-emoji ts-vgallery-emoji-smile',
					'😅' => 'ts-vgallery-emoji ts-vgallery-emoji-sweat-smile',
					'😆' => 'ts-vgallery-emoji ts-vgallery-emoji-laughing',
					'😇' => 'ts-vgallery-emoji ts-vgallery-emoji-innocent',
					'😉' => 'ts-vgallery-emoji ts-vgallery-emoji-wink',
					'😊' => 'ts-vgallery-emoji ts-vgallery-emoji-blush',
					'🙂' => 'ts-vgallery-emoji ts-vgallery-emoji-slightly-smiling-face',
					'🙃' => 'ts-vgallery-emoji ts-vgallery-emoji-upside-down-face',
					'😋' => 'ts-vgallery-emoji ts-vgallery-emoji-yum',
					'😌' => 'ts-vgallery-emoji ts-vgallery-emoji-relieved',
					'😍' => 'ts-vgallery-emoji ts-vgallery-emoji-heart-eyes',
					'🥰' => 'ts-vgallery-emoji ts-vgallery-emoji-smiling-face-with-three-hearts',
					'😘' => 'ts-vgallery-emoji ts-vgallery-emoji-kissing-heart',
					'😗' => 'ts-vgallery-emoji ts-vgallery-emoji-kissing',
					'😙' => 'ts-vgallery-emoji ts-vgallery-emoji-kissing-smiling-eyes',
					'😚' => 'ts-vgallery-emoji ts-vgallery-emoji-kissing-closed-eyes',
					'😜' => 'ts-vgallery-emoji ts-vgallery-emoji-stuck-out-tongue-winking-eye',
					'🤪' => 'ts-vgallery-emoji ts-vgallery-emoji-zany',
					'🤨' => 'ts-vgallery-emoji ts-vgallery-emoji-raised-eyebrow',
					'🧐' => 'ts-vgallery-emoji ts-vgallery-emoji-monocle',
					'😝' => 'ts-vgallery-emoji ts-vgallery-emoji-stuck-out-tongue-closed-eyes',
					'😛' => 'ts-vgallery-emoji ts-vgallery-emoji-stuck-out-tongue',
					'🤑' => 'ts-vgallery-emoji ts-vgallery-emoji-money-mouth-face',
					'🤓' => 'ts-vgallery-emoji ts-vgallery-emoji-nerd-face',
					'😎' => 'ts-vgallery-emoji ts-vgallery-emoji-sunglasses',
					'🤩' => 'ts-vgallery-emoji ts-vgallery-emoji-star-struck',
					'🤡' => 'ts-vgallery-emoji ts-vgallery-emoji-clown-face',
					'🤠' => 'ts-vgallery-emoji ts-vgallery-emoji-cowboy-hat-face',
					'🤗' => 'ts-vgallery-emoji ts-vgallery-emoji-hugs',
					'😏' => 'ts-vgallery-emoji ts-vgallery-emoji-smirk',
					'😶' => 'ts-vgallery-emoji ts-vgallery-emoji-no-mouth',
					'😐' => 'ts-vgallery-emoji ts-vgallery-emoji-neutral-face',
					'😑' => 'ts-vgallery-emoji ts-vgallery-emoji-expressionless',
					'😒' => 'ts-vgallery-emoji ts-vgallery-emoji-unamused',
					'🙄' => 'ts-vgallery-emoji ts-vgallery-emoji-roll-eyes',
					'🤔' => 'ts-vgallery-emoji ts-vgallery-emoji-thinking',
					'🤥' => 'ts-vgallery-emoji ts-vgallery-emoji-lying-face',
					'🤭' => 'ts-vgallery-emoji ts-vgallery-emoji-hand-over-mouth',
					'🤫' => 'ts-vgallery-emoji ts-vgallery-emoji-shushing',
					'🤬' => 'ts-vgallery-emoji ts-vgallery-emoji-symbols-over-mouth',
					'🤯' => 'ts-vgallery-emoji ts-vgallery-emoji-exploding-head',
					'😳' => 'ts-vgallery-emoji ts-vgallery-emoji-flushed',
					'😞' => 'ts-vgallery-emoji ts-vgallery-emoji-disappointed',
					'😟' => 'ts-vgallery-emoji ts-vgallery-emoji-worried',
					'😠' => 'ts-vgallery-emoji ts-vgallery-emoji-angry',
					'😡' => 'ts-vgallery-emoji ts-vgallery-emoji-rage',
					'😔' => 'ts-vgallery-emoji ts-vgallery-emoji-pensive',
					'😕' => 'ts-vgallery-emoji ts-vgallery-emoji-confused',
					'🙁' => 'ts-vgallery-emoji ts-vgallery-emoji-slightly-frowning-face',
					'😣' => 'ts-vgallery-emoji ts-vgallery-emoji-persevere',
					'😖' => 'ts-vgallery-emoji ts-vgallery-emoji-confounded',
					'😫' => 'ts-vgallery-emoji ts-vgallery-emoji-tired-face',
					'😩' => 'ts-vgallery-emoji ts-vgallery-emoji-weary',
					'🥺' => 'ts-vgallery-emoji ts-vgallery-emoji-pleading',
					'😤' => 'ts-vgallery-emoji ts-vgallery-emoji-triumph',
					'😮' => 'ts-vgallery-emoji ts-vgallery-emoji-open-mouth',
					'😱' => 'ts-vgallery-emoji ts-vgallery-emoji-scream',
					'😨' => 'ts-vgallery-emoji ts-vgallery-emoji-fearful',
					'😰' => 'ts-vgallery-emoji ts-vgallery-emoji-cold-sweat',
					'😯' => 'ts-vgallery-emoji ts-vgallery-emoji-hushed',
					'😦' => 'ts-vgallery-emoji ts-vgallery-emoji-frowning',
					'😧' => 'ts-vgallery-emoji ts-vgallery-emoji-anguished',
					'😢' => 'ts-vgallery-emoji ts-vgallery-emoji-cry',
					'😥' => 'ts-vgallery-emoji ts-vgallery-emoji-disappointed-relieved',
					'🤤' => 'ts-vgallery-emoji ts-vgallery-emoji-drooling-face',
					'😪' => 'ts-vgallery-emoji ts-vgallery-emoji-sleepy',
					'😓' => 'ts-vgallery-emoji ts-vgallery-emoji-sweat',
					'🥵' => 'ts-vgallery-emoji ts-vgallery-emoji-hot',
					'🥶' => 'ts-vgallery-emoji ts-vgallery-emoji-cold',
					'😭' => 'ts-vgallery-emoji ts-vgallery-emoji-sob',
					'😵' => 'ts-vgallery-emoji ts-vgallery-emoji-dizzy-face',
					'😲' => 'ts-vgallery-emoji ts-vgallery-emoji-astonished',
					'🤐' => 'ts-vgallery-emoji ts-vgallery-emoji-zipper-mouth-face',
					'🤢' => 'ts-vgallery-emoji ts-vgallery-emoji-nauseated-face',
					'🤧' => 'ts-vgallery-emoji ts-vgallery-emoji-sneezing-face',
					'🤮' => 'ts-vgallery-emoji ts-vgallery-emoji-vomiting',
					'😷' => 'ts-vgallery-emoji ts-vgallery-emoji-mask',
					'🤒' => 'ts-vgallery-emoji ts-vgallery-emoji-face-with-thermometer',
					'🤕' => 'ts-vgallery-emoji ts-vgallery-emoji-face-with-head-bandage',
					'🥴' => 'ts-vgallery-emoji ts-vgallery-emoji-woozy',
					'😴' => 'ts-vgallery-emoji ts-vgallery-emoji-sleeping',
					'👻' => 'ts-vgallery-emoji ts-vgallery-emoji-ghost',
					'👽' => 'ts-vgallery-emoji ts-vgallery-emoji-alien',
					'🤲' => 'ts-vgallery-emoji ts-vgallery-emoji-palms-up',
					'🙌' => 'ts-vgallery-emoji ts-vgallery-emoji-raised-hands',
					'👏' => 'ts-vgallery-emoji ts-vgallery-emoji-clap',
					'👋' => 'ts-vgallery-emoji ts-vgallery-emoji-wave',
					'🤙' => 'ts-vgallery-emoji ts-vgallery-emoji-call-me-hand',
					'👍' => 'ts-vgallery-emoji ts-vgallery-emoji-plus1',
					'👎' => 'ts-vgallery-emoji ts-vgallery-emoji--1',
					'👊' => 'ts-vgallery-emoji ts-vgallery-emoji-facepunch',
					'✊' => 'ts-vgallery-emoji ts-vgallery-emoji-fist',
					'🤛' => 'ts-vgallery-emoji ts-vgallery-emoji-fist-left',
					'🤜' => 'ts-vgallery-emoji ts-vgallery-emoji-fist-right',
					'✌' => 'ts-vgallery-emoji ts-vgallery-emoji-v',
					'👌' => 'ts-vgallery-emoji ts-vgallery-emoji-ok-hand',
					'✋' => 'ts-vgallery-emoji ts-vgallery-emoji-raised-hand',
					'🤚' => 'ts-vgallery-emoji ts-vgallery-emoji-raised-back-of-hand',
					'👐' => 'ts-vgallery-emoji ts-vgallery-emoji-open-hands',
					'💪' => 'ts-vgallery-emoji ts-vgallery-emoji-muscle',
					'🙏' => 'ts-vgallery-emoji ts-vgallery-emoji-pray',
					'🦶' => 'ts-vgallery-emoji ts-vgallery-emoji-foot',
					'🦵' => 'ts-vgallery-emoji ts-vgallery-emoji-leg',
					'🤝' => 'ts-vgallery-emoji ts-vgallery-emoji-handshake',
					'☝' => 'ts-vgallery-emoji ts-vgallery-emoji-point-up',
					'👆' => 'ts-vgallery-emoji ts-vgallery-emoji-point-up-2',
					'👇' => 'ts-vgallery-emoji ts-vgallery-emoji-point-down',
					'👈' => 'ts-vgallery-emoji ts-vgallery-emoji-point-left',
					'👉' => 'ts-vgallery-emoji ts-vgallery-emoji-point-right',
					'🖕' => 'ts-vgallery-emoji ts-vgallery-emoji-fu',
					'🖐' => 'ts-vgallery-emoji ts-vgallery-emoji-raised-hand-with-fingers-splayed',
					'🤟' => 'ts-vgallery-emoji ts-vgallery-emoji-love-you',
					'🤘' => 'ts-vgallery-emoji ts-vgallery-emoji-metal',
					'🤞' => 'ts-vgallery-emoji ts-vgallery-emoji-crossed-fingers',
					'🖖' => 'ts-vgallery-emoji ts-vgallery-emoji-vulcan-salute',
					'👀' => 'ts-vgallery-emoji ts-vgallery-emoji-eyes',
					'🧠' => 'ts-vgallery-emoji ts-vgallery-emoji-brain',
					'🗣' => 'ts-vgallery-emoji ts-vgallery-emoji-speaking-head',
					'👶' => 'ts-vgallery-emoji ts-vgallery-emoji-baby',
					'🧒' => 'ts-vgallery-emoji ts-vgallery-emoji-child',
					'👦' => 'ts-vgallery-emoji ts-vgallery-emoji-boy',
					'👧' => 'ts-vgallery-emoji ts-vgallery-emoji-girl',
					'🧑' => 'ts-vgallery-emoji ts-vgallery-emoji-adult',
					'👨' => 'ts-vgallery-emoji ts-vgallery-emoji-man',
					'👩' => 'ts-vgallery-emoji ts-vgallery-emoji-woman',
					'👱' => 'ts-vgallery-emoji ts-vgallery-emoji-blonde-man',
					'🧔' => 'ts-vgallery-emoji ts-vgallery-emoji-bearded-person',
					'🧓' => 'ts-vgallery-emoji ts-vgallery-emoji-older-adult',
					'👴' => 'ts-vgallery-emoji ts-vgallery-emoji-older-man',
					'👵' => 'ts-vgallery-emoji ts-vgallery-emoji-older-woman',
					'👲' => 'ts-vgallery-emoji ts-vgallery-emoji-man-with-gua-pi-mao',
					'🧕' => 'ts-vgallery-emoji ts-vgallery-emoji-woman-with-headscarf',
					'👳' => 'ts-vgallery-emoji ts-vgallery-emoji-man-with-turban',
					'👮' => 'ts-vgallery-emoji ts-vgallery-emoji-policeman',
					'👷' => 'ts-vgallery-emoji ts-vgallery-emoji-construction-worker-man',
					'🕵' => 'ts-vgallery-emoji ts-vgallery-emoji-male-detective',
					'👼' => 'ts-vgallery-emoji ts-vgallery-emoji-angel',
					'🤰' => 'ts-vgallery-emoji ts-vgallery-emoji-pregnant-woman',
					'🤱' => 'ts-vgallery-emoji ts-vgallery-emoji-breastfeeding',
					'👸' => 'ts-vgallery-emoji ts-vgallery-emoji-princess',
					'🤴' => 'ts-vgallery-emoji ts-vgallery-emoji-prince',
					'👰' => 'ts-vgallery-emoji ts-vgallery-emoji-bride-with-veil',
					'🤵' => 'ts-vgallery-emoji ts-vgallery-emoji-man-in-tuxedo',
					'🏃' => 'ts-vgallery-emoji ts-vgallery-emoji-running-man',
					'🚶' => 'ts-vgallery-emoji ts-vgallery-emoji-walking-man',
					'💃' => 'ts-vgallery-emoji ts-vgallery-emoji-dancer',
					'🕺' => 'ts-vgallery-emoji ts-vgallery-emoji-man-dancing',
					'👯' => 'ts-vgallery-emoji ts-vgallery-emoji-dancing-women',
					'👫' => 'ts-vgallery-emoji ts-vgallery-emoji-couple',
					'👬' => 'ts-vgallery-emoji ts-vgallery-emoji-two-men-holding-hands',
					'👭' => 'ts-vgallery-emoji ts-vgallery-emoji-two-women-holding-hands',
					'🙇' => 'ts-vgallery-emoji ts-vgallery-emoji-bowing-man',
					'🤷' => 'ts-vgallery-emoji ts-vgallery-emoji-woman-shrugging',
					'💁' => 'ts-vgallery-emoji ts-vgallery-emoji-tipping-hand-woman',
					'🙅' => 'ts-vgallery-emoji ts-vgallery-emoji-no-good-woman',
					'🙆' => 'ts-vgallery-emoji ts-vgallery-emoji-ok-woman',
					'🙋' => 'ts-vgallery-emoji ts-vgallery-emoji-raising-hand-woman',
					'🙎' => 'ts-vgallery-emoji ts-vgallery-emoji-pouting-woman',
					'🙍' => 'ts-vgallery-emoji ts-vgallery-emoji-frowning-woman',
					'💇' => 'ts-vgallery-emoji ts-vgallery-emoji-haircut-woman',
					'💆' => 'ts-vgallery-emoji ts-vgallery-emoji-massage-woman',
					'💑' => 'ts-vgallery-emoji ts-vgallery-emoji-couple-with-heart-woman-man',
					'💏' => 'ts-vgallery-emoji ts-vgallery-emoji-couplekiss-man-woman',
					'👪' => 'ts-vgallery-emoji ts-vgallery-emoji-family-man-woman-boy',
					'💋' => 'ts-vgallery-emoji ts-vgallery-emoji-kiss',
					'🎩' => 'ts-vgallery-emoji ts-vgallery-emoji-tophat',
					'🎓' => 'ts-vgallery-emoji ts-vgallery-emoji-mortar-board',
					'👑' => 'ts-vgallery-emoji ts-vgallery-emoji-crown',
					'💍' => 'ts-vgallery-emoji ts-vgallery-emoji-ring',
					'🐶' => 'ts-vgallery-emoji ts-vgallery-emoji-dog',
					'🐱' => 'ts-vgallery-emoji ts-vgallery-emoji-cat',
					'🐭' => 'ts-vgallery-emoji ts-vgallery-emoji-mouse',
					'🐹' => 'ts-vgallery-emoji ts-vgallery-emoji-hamster',
					'🐰' => 'ts-vgallery-emoji ts-vgallery-emoji-rabbit',
					'🦊' => 'ts-vgallery-emoji ts-vgallery-emoji-fox-face',
					'🐻' => 'ts-vgallery-emoji ts-vgallery-emoji-bear',
					'🐼' => 'ts-vgallery-emoji ts-vgallery-emoji-panda-face',
					'🐨' => 'ts-vgallery-emoji ts-vgallery-emoji-koala',
					'🐯' => 'ts-vgallery-emoji ts-vgallery-emoji-tiger',
					'🦁' => 'ts-vgallery-emoji ts-vgallery-emoji-lion',
					'🐮' => 'ts-vgallery-emoji ts-vgallery-emoji-cow',
					'🐷' => 'ts-vgallery-emoji ts-vgallery-emoji-pig',
					'🐸' => 'ts-vgallery-emoji ts-vgallery-emoji-frog',
					'🐵' => 'ts-vgallery-emoji ts-vgallery-emoji-monkey-face',
					'🙈' => 'ts-vgallery-emoji ts-vgallery-emoji-see-no-evil',
					'🙉' => 'ts-vgallery-emoji ts-vgallery-emoji-hear-no-evil',
					'🙊' => 'ts-vgallery-emoji ts-vgallery-emoji-speak-no-evil',
					'🐒' => 'ts-vgallery-emoji ts-vgallery-emoji-monkey',
					'🐔' => 'ts-vgallery-emoji ts-vgallery-emoji-chicken',
					'🐧' => 'ts-vgallery-emoji ts-vgallery-emoji-penguin',
					'🐦' => 'ts-vgallery-emoji ts-vgallery-emoji-bird',
					'🐤' => 'ts-vgallery-emoji ts-vgallery-emoji-baby-chick',
					'🐣' => 'ts-vgallery-emoji ts-vgallery-emoji-hatching-chick',
					'🐥' => 'ts-vgallery-emoji ts-vgallery-emoji-hatched-chick',
					'🦆' => 'ts-vgallery-emoji ts-vgallery-emoji-duck',
					'🦅' => 'ts-vgallery-emoji ts-vgallery-emoji-eagle',
					'🦉' => 'ts-vgallery-emoji ts-vgallery-emoji-owl',
					'🦇' => 'ts-vgallery-emoji ts-vgallery-emoji-bat',
					'🐺' => 'ts-vgallery-emoji ts-vgallery-emoji-wolf',
					'🐗' => 'ts-vgallery-emoji ts-vgallery-emoji-boar',
					'🐴' => 'ts-vgallery-emoji ts-vgallery-emoji-horse',
					'🦄' => 'ts-vgallery-emoji ts-vgallery-emoji-unicorn',
					'🐝' => 'ts-vgallery-emoji ts-vgallery-emoji-honeybee',
					'🐛' => 'ts-vgallery-emoji ts-vgallery-emoji-bug',
					'🦋' => 'ts-vgallery-emoji ts-vgallery-emoji-butterfly',
					'🐌' => 'ts-vgallery-emoji ts-vgallery-emoji-snail',
					'🐞' => 'ts-vgallery-emoji ts-vgallery-emoji-beetle',
					'🐜' => 'ts-vgallery-emoji ts-vgallery-emoji-ant',
					'🦗' => 'ts-vgallery-emoji ts-vgallery-emoji-grasshopper',
					'🕷' => 'ts-vgallery-emoji ts-vgallery-emoji-spider',
					'🦂' => 'ts-vgallery-emoji ts-vgallery-emoji-scorpion',
					'🦀' => 'ts-vgallery-emoji ts-vgallery-emoji-crab',
					'🐍' => 'ts-vgallery-emoji ts-vgallery-emoji-snake',
					'🦎' => 'ts-vgallery-emoji ts-vgallery-emoji-lizard',
					'🦖' => 'ts-vgallery-emoji ts-vgallery-emoji-t-rex',
					'🦕' => 'ts-vgallery-emoji ts-vgallery-emoji-sauropod',
					'🐢' => 'ts-vgallery-emoji ts-vgallery-emoji-turtle',
					'🐠' => 'ts-vgallery-emoji ts-vgallery-emoji-tropical-fish',
					'🐟' => 'ts-vgallery-emoji ts-vgallery-emoji-fish',
					'🐡' => 'ts-vgallery-emoji ts-vgallery-emoji-blowfish',
					'🐬' => 'ts-vgallery-emoji ts-vgallery-emoji-dolphin',
					'🦈' => 'ts-vgallery-emoji ts-vgallery-emoji-shark',
					'🐳' => 'ts-vgallery-emoji ts-vgallery-emoji-whale',
					'🐋' => 'ts-vgallery-emoji ts-vgallery-emoji-whale2',
					'🐊' => 'ts-vgallery-emoji ts-vgallery-emoji-crocodile',
					'🐆' => 'ts-vgallery-emoji ts-vgallery-emoji-leopard',
					'🦓' => 'ts-vgallery-emoji ts-vgallery-emoji-zebra',
					'🐅' => 'ts-vgallery-emoji ts-vgallery-emoji-tiger2',
					'🐃' => 'ts-vgallery-emoji ts-vgallery-emoji-water-buffalo',
					'🐂' => 'ts-vgallery-emoji ts-vgallery-emoji-ox',
					'🐄' => 'ts-vgallery-emoji ts-vgallery-emoji-cow2',
					'🦌' => 'ts-vgallery-emoji ts-vgallery-emoji-deer',
					'🐪' => 'ts-vgallery-emoji ts-vgallery-emoji-dromedary-camel',
					'🐫' => 'ts-vgallery-emoji ts-vgallery-emoji-camel',
					'🦒' => 'ts-vgallery-emoji ts-vgallery-emoji-giraffe',
					'🐘' => 'ts-vgallery-emoji ts-vgallery-emoji-elephant',
					'🦏' => 'ts-vgallery-emoji ts-vgallery-emoji-rhinoceros',
					'🐐' => 'ts-vgallery-emoji ts-vgallery-emoji-goat',
					'🐏' => 'ts-vgallery-emoji ts-vgallery-emoji-ram',
					'🐑' => 'ts-vgallery-emoji ts-vgallery-emoji-sheep',
					'🐎' => 'ts-vgallery-emoji ts-vgallery-emoji-racehorse',
					'🐖' => 'ts-vgallery-emoji ts-vgallery-emoji-pig2',
					'🐀' => 'ts-vgallery-emoji ts-vgallery-emoji-rat',
					'🐁' => 'ts-vgallery-emoji ts-vgallery-emoji-mouse2',
					'🐓' => 'ts-vgallery-emoji ts-vgallery-emoji-rooster',
					'🦃' => 'ts-vgallery-emoji ts-vgallery-emoji-turkey',
					'🕊' => 'ts-vgallery-emoji ts-vgallery-emoji-dove',
					'🐕' => 'ts-vgallery-emoji ts-vgallery-emoji-dog2',
					'🐩' => 'ts-vgallery-emoji ts-vgallery-emoji-poodle',
					'🐈' => 'ts-vgallery-emoji ts-vgallery-emoji-cat2',
					'🐇' => 'ts-vgallery-emoji ts-vgallery-emoji-rabbit2',
					'🐿' => 'ts-vgallery-emoji ts-vgallery-emoji-chipmunk',
					'🦔' => 'ts-vgallery-emoji ts-vgallery-emoji-hedgehog',
					'🦝' => 'ts-vgallery-emoji ts-vgallery-emoji-raccoon',
					'🦙' => 'ts-vgallery-emoji ts-vgallery-emoji-llama',
					'🦛' => 'ts-vgallery-emoji ts-vgallery-emoji-hippopotamus',
					'🦘' => 'ts-vgallery-emoji ts-vgallery-emoji-kangaroo',
					'🦡' => 'ts-vgallery-emoji ts-vgallery-emoji-badger',
					'🦢' => 'ts-vgallery-emoji ts-vgallery-emoji-swan',
					'🦚' => 'ts-vgallery-emoji ts-vgallery-emoji-peacock',
					'🦜' => 'ts-vgallery-emoji ts-vgallery-emoji-parrot',
					'🦞' => 'ts-vgallery-emoji ts-vgallery-emoji-lobster',
					'🦟' => 'ts-vgallery-emoji ts-vgallery-emoji-mosquito',
					'🐾' => 'ts-vgallery-emoji ts-vgallery-emoji-paw-prints',
					'🌵' => 'ts-vgallery-emoji ts-vgallery-emoji-cactus',
					'🌲' => 'ts-vgallery-emoji ts-vgallery-emoji-evergreen-tree',
					'🌳' => 'ts-vgallery-emoji ts-vgallery-emoji-deciduous-tree',
					'🌴' => 'ts-vgallery-emoji ts-vgallery-emoji-palm-tree',
					'🌱' => 'ts-vgallery-emoji ts-vgallery-emoji-seedling',
					'🌿' => 'ts-vgallery-emoji ts-vgallery-emoji-herb',
					'🍀' => 'ts-vgallery-emoji ts-vgallery-emoji-four-leaf-clover',
					'🎍' => 'ts-vgallery-emoji ts-vgallery-emoji-bamboo',
					'🎋' => 'ts-vgallery-emoji ts-vgallery-emoji-tanabata-tree',
					'🍃' => 'ts-vgallery-emoji ts-vgallery-emoji-leaves',
					'🍂' => 'ts-vgallery-emoji ts-vgallery-emoji-fallen-leaf',
					'🍁' => 'ts-vgallery-emoji ts-vgallery-emoji-maple-leaf',
					'🌾' => 'ts-vgallery-emoji ts-vgallery-emoji-ear-of-rice',
					'🌺' => 'ts-vgallery-emoji ts-vgallery-emoji-hibiscus',
					'🌻' => 'ts-vgallery-emoji ts-vgallery-emoji-sunflower',
					'🌹' => 'ts-vgallery-emoji ts-vgallery-emoji-rose',
					'🥀' => 'ts-vgallery-emoji ts-vgallery-emoji-wilted-flower',
					'🌷' => 'ts-vgallery-emoji ts-vgallery-emoji-tulip',
					'🌼' => 'ts-vgallery-emoji ts-vgallery-emoji-blossom',
					'🌸' => 'ts-vgallery-emoji ts-vgallery-emoji-cherry-blossom',
					'💐' => 'ts-vgallery-emoji ts-vgallery-emoji-bouquet',
					'🍄' => 'ts-vgallery-emoji ts-vgallery-emoji-mushroom',
					'🌰' => 'ts-vgallery-emoji ts-vgallery-emoji-chestnut',
					'🎃' => 'ts-vgallery-emoji ts-vgallery-emoji-jack-o-lantern',
					'🌎' => 'ts-vgallery-emoji ts-vgallery-emoji-earth-americas',
					'🌍' => 'ts-vgallery-emoji ts-vgallery-emoji-earth-africa',
					'🌏' => 'ts-vgallery-emoji ts-vgallery-emoji-earth-asia',
					'🌕' => 'ts-vgallery-emoji ts-vgallery-emoji-full-moon',
					'🌚' => 'ts-vgallery-emoji ts-vgallery-emoji-new-moon-with-face',
					'🌝' => 'ts-vgallery-emoji ts-vgallery-emoji-full-moon-with-face',
					'🌞' => 'ts-vgallery-emoji ts-vgallery-emoji-sun-with-face',
					'🌙' => 'ts-vgallery-emoji ts-vgallery-emoji-crescent-moon',
					'⭐' => 'ts-vgallery-emoji ts-vgallery-emoji-star',
					'🌟' => 'ts-vgallery-emoji ts-vgallery-emoji-star2',
					'⚡' => 'ts-vgallery-emoji ts-vgallery-emoji-zap',
					'🔥' => 'ts-vgallery-emoji ts-vgallery-emoji-fire',
					'💥' => 'ts-vgallery-emoji ts-vgallery-emoji-boom',
					'🍏' => 'ts-vgallery-emoji ts-vgallery-emoji-green-apple',
					'🍎' => 'ts-vgallery-emoji ts-vgallery-emoji-apple',
					'🍐' => 'ts-vgallery-emoji ts-vgallery-emoji-pear',
					'🍊' => 'ts-vgallery-emoji ts-vgallery-emoji-tangerine',
					'🍋' => 'ts-vgallery-emoji ts-vgallery-emoji-lemon',
					'🍌' => 'ts-vgallery-emoji ts-vgallery-emoji-banana',
					'🍉' => 'ts-vgallery-emoji ts-vgallery-emoji-watermelon',
					'🍇' => 'ts-vgallery-emoji ts-vgallery-emoji-grapes',
					'🍓' => 'ts-vgallery-emoji ts-vgallery-emoji-strawberry',
					'🍈' => 'ts-vgallery-emoji ts-vgallery-emoji-melon',
					'🍒' => 'ts-vgallery-emoji ts-vgallery-emoji-cherries',
					'🍑' => 'ts-vgallery-emoji ts-vgallery-emoji-peach',
					'🍍' => 'ts-vgallery-emoji ts-vgallery-emoji-pineapple',
					'🥥' => 'ts-vgallery-emoji ts-vgallery-emoji-coconut',
					'🥝' => 'ts-vgallery-emoji ts-vgallery-emoji-kiwi-fruit',
					'🥭' => 'ts-vgallery-emoji ts-vgallery-emoji-mango',
					'🥑' => 'ts-vgallery-emoji ts-vgallery-emoji-avocado',
					'🥦' => 'ts-vgallery-emoji ts-vgallery-emoji-broccoli',
					'🍅' => 'ts-vgallery-emoji ts-vgallery-emoji-tomato',
					'🍆' => 'ts-vgallery-emoji ts-vgallery-emoji-eggplant',
					'🥒' => 'ts-vgallery-emoji ts-vgallery-emoji-cucumber',
					'🥕' => 'ts-vgallery-emoji ts-vgallery-emoji-carrot',
					'🌶' => 'ts-vgallery-emoji ts-vgallery-emoji-hot-pepper',
					'🥔' => 'ts-vgallery-emoji ts-vgallery-emoji-potato',
					'🌽' => 'ts-vgallery-emoji ts-vgallery-emoji-corn',
					'🥬' => 'ts-vgallery-emoji ts-vgallery-emoji-leafy-greens',
					'🍠' => 'ts-vgallery-emoji ts-vgallery-emoji-sweet-potato',
					'🥜' => 'ts-vgallery-emoji ts-vgallery-emoji-peanuts',
					'🍯' => 'ts-vgallery-emoji ts-vgallery-emoji-honey-pot',
					'🥐' => 'ts-vgallery-emoji ts-vgallery-emoji-croissant',
					'🍞' => 'ts-vgallery-emoji ts-vgallery-emoji-bread',
					'🥖' => 'ts-vgallery-emoji ts-vgallery-emoji-baguette-bread',
					'🥯' => 'ts-vgallery-emoji ts-vgallery-emoji-bagel',
					'🥨' => 'ts-vgallery-emoji ts-vgallery-emoji-pretzel',
					'🧀' => 'ts-vgallery-emoji ts-vgallery-emoji-cheese',
					'🥚' => 'ts-vgallery-emoji ts-vgallery-emoji-egg',
					'🥓' => 'ts-vgallery-emoji ts-vgallery-emoji-bacon',
					'🥩' => 'ts-vgallery-emoji ts-vgallery-emoji-steak',
					'🥞' => 'ts-vgallery-emoji ts-vgallery-emoji-pancakes',
					'🍗' => 'ts-vgallery-emoji ts-vgallery-emoji-poultry-leg',
					'🍖' => 'ts-vgallery-emoji ts-vgallery-emoji-meat-on-bone',
					'🦴' => 'ts-vgallery-emoji ts-vgallery-emoji-bone',
					'🍤' => 'ts-vgallery-emoji ts-vgallery-emoji-fried-shrimp',
					'🍳' => 'ts-vgallery-emoji ts-vgallery-emoji-fried-egg',
					'🍔' => 'ts-vgallery-emoji ts-vgallery-emoji-hamburger',
					'🍟' => 'ts-vgallery-emoji ts-vgallery-emoji-fries',
					'🥙' => 'ts-vgallery-emoji ts-vgallery-emoji-stuffed-flatbread',
					'🌭' => 'ts-vgallery-emoji ts-vgallery-emoji-hotdog',
					'🍕' => 'ts-vgallery-emoji ts-vgallery-emoji-pizza',
					'🥪' => 'ts-vgallery-emoji ts-vgallery-emoji-sandwich',
					'🥫' => 'ts-vgallery-emoji ts-vgallery-emoji-canned-food',
					'🍝' => 'ts-vgallery-emoji ts-vgallery-emoji-spaghetti',
					'🌮' => 'ts-vgallery-emoji ts-vgallery-emoji-taco',
					'🌯' => 'ts-vgallery-emoji ts-vgallery-emoji-burrito',
					'🥗' => 'ts-vgallery-emoji ts-vgallery-emoji-green-salad',
					'🥘' => 'ts-vgallery-emoji ts-vgallery-emoji-shallow-pan-of-food',
					'🍜' => 'ts-vgallery-emoji ts-vgallery-emoji-ramen',
					'🍲' => 'ts-vgallery-emoji ts-vgallery-emoji-stew',
					'🍥' => 'ts-vgallery-emoji ts-vgallery-emoji-fish-cake',
					'🥠' => 'ts-vgallery-emoji ts-vgallery-emoji-fortune-cookie',
					'🍣' => 'ts-vgallery-emoji ts-vgallery-emoji-sushi',
					'🍱' => 'ts-vgallery-emoji ts-vgallery-emoji-bento',
					'🍛' => 'ts-vgallery-emoji ts-vgallery-emoji-curry',
					'🍙' => 'ts-vgallery-emoji ts-vgallery-emoji-rice-ball',
					'🍚' => 'ts-vgallery-emoji ts-vgallery-emoji-rice',
					'🍘' => 'ts-vgallery-emoji ts-vgallery-emoji-rice-cracker',
					'🍢' => 'ts-vgallery-emoji ts-vgallery-emoji-oden',
					'🍡' => 'ts-vgallery-emoji ts-vgallery-emoji-dango',
					'🍧' => 'ts-vgallery-emoji ts-vgallery-emoji-shaved-ice',
					'🍨' => 'ts-vgallery-emoji ts-vgallery-emoji-ice-cream',
					'🍦' => 'ts-vgallery-emoji ts-vgallery-emoji-icecream',
					'🥧' => 'ts-vgallery-emoji ts-vgallery-emoji-pie',
					'🍰' => 'ts-vgallery-emoji ts-vgallery-emoji-cake',
					'🧁' => 'ts-vgallery-emoji ts-vgallery-emoji-cupcake',
					'🥮' => 'ts-vgallery-emoji ts-vgallery-emoji-moon-cake',
					'🎂' => 'ts-vgallery-emoji ts-vgallery-emoji-birthday',
					'🍮' => 'ts-vgallery-emoji ts-vgallery-emoji-custard',
					'🍬' => 'ts-vgallery-emoji ts-vgallery-emoji-candy',
					'🍭' => 'ts-vgallery-emoji ts-vgallery-emoji-lollipop',
					'🍫' => 'ts-vgallery-emoji ts-vgallery-emoji-chocolate-bar',
					'🍿' => 'ts-vgallery-emoji ts-vgallery-emoji-popcorn',
					'🥟' => 'ts-vgallery-emoji ts-vgallery-emoji-dumpling',
					'🍩' => 'ts-vgallery-emoji ts-vgallery-emoji-doughnut',
					'🍪' => 'ts-vgallery-emoji ts-vgallery-emoji-cookie',
					'⚽' => 'ts-vgallery-emoji ts-vgallery-emoji-soccer',
					'🏀' => 'ts-vgallery-emoji ts-vgallery-emoji-basketball',
					'⚾' => 'ts-vgallery-emoji ts-vgallery-emoji-baseball',
					'🥎' => 'ts-vgallery-emoji ts-vgallery-emoji-softball',
					'🏐' => 'ts-vgallery-emoji ts-vgallery-emoji-volleyball',
					'🎱' => 'ts-vgallery-emoji ts-vgallery-emoji-8ball',
					'🏆' => 'ts-vgallery-emoji ts-vgallery-emoji-trophy',
					'🏅' => 'ts-vgallery-emoji ts-vgallery-emoji-medal-sports',
					'🥇' => 'ts-vgallery-emoji ts-vgallery-emoji-1st-place-medal',
					'🥈' => 'ts-vgallery-emoji ts-vgallery-emoji-2nd-place-medal',
					'🥉' => 'ts-vgallery-emoji ts-vgallery-emoji-3rd-place-medal',
					'🎬' => 'ts-vgallery-emoji ts-vgallery-emoji-clapper',
					'🎯' => 'ts-vgallery-emoji ts-vgallery-emoji-dart',
					'🚀' => 'ts-vgallery-emoji ts-vgallery-emoji-rocket',
					'🚦' => 'ts-vgallery-emoji ts-vgallery-emoji-vertical-traffic-light',
					'🚥' => 'ts-vgallery-emoji ts-vgallery-emoji-traffic-light',
					'🏁' => 'ts-vgallery-emoji ts-vgallery-emoji-checkered-flag',
					'🎇' => 'ts-vgallery-emoji ts-vgallery-emoji-sparkler',
					'🎆' => 'ts-vgallery-emoji ts-vgallery-emoji-fireworks',
					'💻' => 'ts-vgallery-emoji ts-vgallery-emoji-computer',
					'📷' => 'ts-vgallery-emoji ts-vgallery-emoji-camera',
					'📸' => 'ts-vgallery-emoji ts-vgallery-emoji-camera-flash',
					'📹' => 'ts-vgallery-emoji ts-vgallery-emoji-video-camera',
					'🎥' => 'ts-vgallery-emoji ts-vgallery-emoji-movie-camera',
					'📽' => 'ts-vgallery-emoji ts-vgallery-emoji-film-projector',
					'🎞' => 'ts-vgallery-emoji ts-vgallery-emoji-film-strip',
					'⏳' => 'ts-vgallery-emoji ts-vgallery-emoji-hourglass-flowing-sand',
					'⌛' => 'ts-vgallery-emoji ts-vgallery-emoji-hourglass',
					'💡' => 'ts-vgallery-emoji ts-vgallery-emoji-bulb',
					'🛢' => 'ts-vgallery-emoji ts-vgallery-emoji-oil-drum',
					'💸' => 'ts-vgallery-emoji ts-vgallery-emoji-money-with-wings',
					'💵' => 'ts-vgallery-emoji ts-vgallery-emoji-dollar',
					'💴' => 'ts-vgallery-emoji ts-vgallery-emoji-yen',
					'💶' => 'ts-vgallery-emoji ts-vgallery-emoji-euro',
					'💷' => 'ts-vgallery-emoji ts-vgallery-emoji-pound',
					'💰' => 'ts-vgallery-emoji ts-vgallery-emoji-moneybag',
					'💳' => 'ts-vgallery-emoji ts-vgallery-emoji-credit-card',
					'💎' => 'ts-vgallery-emoji ts-vgallery-emoji-gem',
					'💣' => 'ts-vgallery-emoji ts-vgallery-emoji-bomb',
					'🧨' => 'ts-vgallery-emoji ts-vgallery-emoji-firecracker',
					'🚬' => 'ts-vgallery-emoji ts-vgallery-emoji-smoking',
					'🧿' => 'ts-vgallery-emoji ts-vgallery-emoji-nazar-amulet',
					'🔑' => 'ts-vgallery-emoji ts-vgallery-emoji-key',
					'🧸' => 'ts-vgallery-emoji ts-vgallery-emoji-teddy-bear',
					'🗺' => 'ts-vgallery-emoji ts-vgallery-emoji-world-map',
					'🗿' => 'ts-vgallery-emoji ts-vgallery-emoji-moyai',
					'🛒' => 'ts-vgallery-emoji ts-vgallery-emoji-shopping-cart',
					'🎈' => 'ts-vgallery-emoji ts-vgallery-emoji-balloon',
					'🎀' => 'ts-vgallery-emoji ts-vgallery-emoji-ribbon',
					'🎁' => 'ts-vgallery-emoji ts-vgallery-emoji-gift',
					'💌' => 'ts-vgallery-emoji ts-vgallery-emoji-love-letter',
					'📥' => 'ts-vgallery-emoji ts-vgallery-emoji-inbox-tray',
					'📤' => 'ts-vgallery-emoji ts-vgallery-emoji-outbox-tray',
					'📊' => 'ts-vgallery-emoji ts-vgallery-emoji-bar-chart',
					'📈' => 'ts-vgallery-emoji ts-vgallery-emoji-chart-with-upwards-trend',
					'📉' => 'ts-vgallery-emoji ts-vgallery-emoji-chart-with-downwards-trend',
					'📅' => 'ts-vgallery-emoji ts-vgallery-emoji-date',
					'📆' => 'ts-vgallery-emoji ts-vgallery-emoji-calendar',
					'🔗' => 'ts-vgallery-emoji ts-vgallery-emoji-link',
					'📎' => 'ts-vgallery-emoji ts-vgallery-emoji-paperclip',
					'📌' => 'ts-vgallery-emoji ts-vgallery-emoji-pushpin',
					'🚩' => 'ts-vgallery-emoji ts-vgallery-emoji-triangular-flag-on-post',
					'🔐' => 'ts-vgallery-emoji ts-vgallery-emoji-closed-lock-with-key',
					'🔒' => 'ts-vgallery-emoji ts-vgallery-emoji-lock',
					'🔓' => 'ts-vgallery-emoji ts-vgallery-emoji-unlock',
					'🔏' => 'ts-vgallery-emoji ts-vgallery-emoji-lock-with-ink-pen',
					'📝' => 'ts-vgallery-emoji ts-vgallery-emoji-memo',
					'🔍' => 'ts-vgallery-emoji ts-vgallery-emoji-mag',
					'🔎' => 'ts-vgallery-emoji ts-vgallery-emoji-mag-right',
					'🧡' => 'ts-vgallery-emoji ts-vgallery-emoji-orange-heart',
					'💛' => 'ts-vgallery-emoji ts-vgallery-emoji-yellow-heart',
					'💚' => 'ts-vgallery-emoji ts-vgallery-emoji-green-heart',
					'💙' => 'ts-vgallery-emoji ts-vgallery-emoji-blue-heart',
					'💜' => 'ts-vgallery-emoji ts-vgallery-emoji-purple-heart',
					'🖤' => 'ts-vgallery-emoji ts-vgallery-emoji-black-heart',
					'💔' => 'ts-vgallery-emoji ts-vgallery-emoji-broken-heart',
					'💕' => 'ts-vgallery-emoji ts-vgallery-emoji-two-hearts',
					'💞' => 'ts-vgallery-emoji ts-vgallery-emoji-revolving-hearts',
					'💓' => 'ts-vgallery-emoji ts-vgallery-emoji-heartbeat',
					'💗' => 'ts-vgallery-emoji ts-vgallery-emoji-heartpulse',
					'💖' => 'ts-vgallery-emoji ts-vgallery-emoji-sparkling-heart',
					'💘' => 'ts-vgallery-emoji ts-vgallery-emoji-cupid',
					'💝' => 'ts-vgallery-emoji ts-vgallery-emoji-gift-heart',
					'💟' => 'ts-vgallery-emoji ts-vgallery-emoji-heart-decoration',
					'🆚' => 'ts-vgallery-emoji ts-vgallery-emoji-vs',
					'💮' => 'ts-vgallery-emoji ts-vgallery-emoji-white-flower',
					'🆘' => 'ts-vgallery-emoji ts-vgallery-emoji-sos',
					'⛔' => 'ts-vgallery-emoji ts-vgallery-emoji-no-entry',
					'🚫' => 'ts-vgallery-emoji ts-vgallery-emoji-no-entry-sign',
					'❌' => 'ts-vgallery-emoji ts-vgallery-emoji-x',
					'⭕' => 'ts-vgallery-emoji ts-vgallery-emoji-o',
					'🛑' => 'ts-vgallery-emoji ts-vgallery-emoji-stop-sign',
					'💢' => 'ts-vgallery-emoji ts-vgallery-emoji-anger',
					'🔞' => 'ts-vgallery-emoji ts-vgallery-emoji-underage',
					'📵' => 'ts-vgallery-emoji ts-vgallery-emoji-no-mobile-phones',
					'❗' => 'ts-vgallery-emoji ts-vgallery-emoji-exclamation',
					'❕' => 'ts-vgallery-emoji ts-vgallery-emoji-grey-exclamation',
					'❓' => 'ts-vgallery-emoji ts-vgallery-emoji-question',
					'❔' => 'ts-vgallery-emoji ts-vgallery-emoji-grey-question',
					'💹' => 'ts-vgallery-emoji ts-vgallery-emoji-chart',
					'❎' => 'ts-vgallery-emoji ts-vgallery-emoji-negative-squared-cross-mark',
					'✅' => 'ts-vgallery-emoji ts-vgallery-emoji-white-check-mark',
					'🚹' => 'ts-vgallery-emoji ts-vgallery-emoji-mens',
					'🚺' => 'ts-vgallery-emoji ts-vgallery-emoji-womens',
					'🎦' => 'ts-vgallery-emoji ts-vgallery-emoji-cinema',
					'🆙' => 'ts-vgallery-emoji ts-vgallery-emoji-up',
					'🆒' => 'ts-vgallery-emoji ts-vgallery-emoji-cool',
					'🆕' => 'ts-vgallery-emoji ts-vgallery-emoji-new',
					'🆓' => 'ts-vgallery-emoji ts-vgallery-emoji-free',
					'⏹' => 'ts-vgallery-emoji ts-vgallery-emoji-stop-button',
					'⏺' => 'ts-vgallery-emoji ts-vgallery-emoji-record-button',
					'🔄' => 'ts-vgallery-emoji ts-vgallery-emoji-arrows-counterclockwise',
					'🎵' => 'ts-vgallery-emoji ts-vgallery-emoji-musical-note',
					'🎶' => 'ts-vgallery-emoji ts-vgallery-emoji-notes',
					'➕' => 'ts-vgallery-emoji ts-vgallery-emoji-heavy-plus-sign',
					'➖' => 'ts-vgallery-emoji ts-vgallery-emoji-heavy-minus-sign',
					'➗' => 'ts-vgallery-emoji ts-vgallery-emoji-heavy-division-sign',
					'♾' => 'ts-vgallery-emoji ts-vgallery-emoji-infinity',
					'💲' => 'ts-vgallery-emoji ts-vgallery-emoji-heavy-dollar-sign',
					'💱' => 'ts-vgallery-emoji ts-vgallery-emoji-currency-exchange',
					'🔚' => 'ts-vgallery-emoji ts-vgallery-emoji-end',
					'🔙' => 'ts-vgallery-emoji ts-vgallery-emoji-back',
					'🔛' => 'ts-vgallery-emoji ts-vgallery-emoji-on',
					'🔝' => 'ts-vgallery-emoji ts-vgallery-emoji-top',
					'🔜' => 'ts-vgallery-emoji ts-vgallery-emoji-soon',
					'🔘' => 'ts-vgallery-emoji ts-vgallery-emoji-radio-button',
					'⚪' => 'ts-vgallery-emoji ts-vgallery-emoji-white-circle',
					'⚫' => 'ts-vgallery-emoji ts-vgallery-emoji-black-circle',
					'🔴' => 'ts-vgallery-emoji ts-vgallery-emoji-red-circle',
					'🔵' => 'ts-vgallery-emoji ts-vgallery-emoji-large-blue-circle',
					'🔶' => 'ts-vgallery-emoji ts-vgallery-emoji-large-orange-diamond',
					'🔷' => 'ts-vgallery-emoji ts-vgallery-emoji-large-blue-diamond',
					'🔺' => 'ts-vgallery-emoji ts-vgallery-emoji-small-red-triangle',
					'⬛' => 'ts-vgallery-emoji ts-vgallery-emoji-black-large-square',
					'⬜' => 'ts-vgallery-emoji ts-vgallery-emoji-white-large-square',
					'🔻' => 'ts-vgallery-emoji ts-vgallery-emoji-small-red-triangle-down',
					'🔲' => 'ts-vgallery-emoji ts-vgallery-emoji-black-square-button',
					'🔳' => 'ts-vgallery-emoji ts-vgallery-emoji-white-square-button',
					'🔈' => 'ts-vgallery-emoji ts-vgallery-emoji-speaker',
					'🔉' => 'ts-vgallery-emoji ts-vgallery-emoji-sound',
					'🔊' => 'ts-vgallery-emoji ts-vgallery-emoji-loud-sound',
					'🔇' => 'ts-vgallery-emoji ts-vgallery-emoji-mute',
					'📣' => 'ts-vgallery-emoji ts-vgallery-emoji-mega',
					'📢' => 'ts-vgallery-emoji ts-vgallery-emoji-loudspeaker',
					'🔔' => 'ts-vgallery-emoji ts-vgallery-emoji-bell',
					'🔕' => 'ts-vgallery-emoji ts-vgallery-emoji-no-bell',
					'💭' => 'ts-vgallery-emoji ts-vgallery-emoji-thought-balloon',
					'🗯' => 'ts-vgallery-emoji ts-vgallery-emoji-right-anger-bubble',
					'💬' => 'ts-vgallery-emoji ts-vgallery-emoji-speech-balloon',
					'🗨' => 'ts-vgallery-emoji ts-vgallery-emoji-left-speech-bubble',
				),
				'tsvg_fontawesome' => array(
					'f26e' => 'ts-vgallery ts-vgallery-500px',
					'f042' => 'ts-vgallery ts-vgallery-adjust',
					'f170' => 'ts-vgallery ts-vgallery-adn',
					'f037' => 'ts-vgallery ts-vgallery-align-center',
					'f039' => 'ts-vgallery ts-vgallery-align-justify',
					'f036' => 'ts-vgallery ts-vgallery-align-left',
					'f038' => 'ts-vgallery ts-vgallery-align-right',
					'f270' => 'ts-vgallery ts-vgallery-amazon',
					'f0f9' => 'ts-vgallery ts-vgallery-ambulance',
					'f2a3' => 'ts-vgallery ts-vgallery-american-sign-language-interpreting',
					'f13d' => 'ts-vgallery ts-vgallery-anchor',
					'f17b' => 'ts-vgallery ts-vgallery-android',
					'f209' => 'ts-vgallery ts-vgallery-angellist',
					'f103' => 'ts-vgallery ts-vgallery-angle-double-down',
					'f100' => 'ts-vgallery ts-vgallery-angle-double-left',
					'f101' => 'ts-vgallery ts-vgallery-angle-double-right',
					'f102' => 'ts-vgallery ts-vgallery-angle-double-up',
					'f107' => 'ts-vgallery ts-vgallery-angle-down',
					'f104' => 'ts-vgallery ts-vgallery-angle-left',
					'f105' => 'ts-vgallery ts-vgallery-angle-right',
					'f106' => 'ts-vgallery ts-vgallery-angle-up',
					'f179' => 'ts-vgallery ts-vgallery-apple',
					'f187' => 'ts-vgallery ts-vgallery-archive',
					'f1fe' => 'ts-vgallery ts-vgallery-area-chart',
					'f0ab' => 'ts-vgallery ts-vgallery-arrow-circle-down',
					'f0a8' => 'ts-vgallery ts-vgallery-arrow-circle-left',
					'f01a' => 'ts-vgallery ts-vgallery-arrow-circle-o-down',
					'f190' => 'ts-vgallery ts-vgallery-arrow-circle-o-left',
					'f18e' => 'ts-vgallery ts-vgallery-arrow-circle-o-right',
					'f01b' => 'ts-vgallery ts-vgallery-arrow-circle-o-up',
					'f0a9' => 'ts-vgallery ts-vgallery-arrow-circle-right',
					'f0aa' => 'ts-vgallery ts-vgallery-arrow-circle-up',
					'f063' => 'ts-vgallery ts-vgallery-arrow-down',
					'f060' => 'ts-vgallery ts-vgallery-arrow-left',
					'f061' => 'ts-vgallery ts-vgallery-arrow-right',
					'f062' => 'ts-vgallery ts-vgallery-arrow-up',
					'f047' => 'ts-vgallery ts-vgallery-arrows',
					'f0b2' => 'ts-vgallery ts-vgallery-arrows-alt',
					'f07e' => 'ts-vgallery ts-vgallery-arrows-h',
					'f07d' => 'ts-vgallery ts-vgallery-arrows-v',
					'f2a2' => 'ts-vgallery ts-vgallery-assistive-listening-systems',
					'f069' => 'ts-vgallery ts-vgallery-asterisk',
					'f1fa' => 'ts-vgallery ts-vgallery-at',
					'f29e' => 'ts-vgallery ts-vgallery-audio-description',
					'f04a' => 'ts-vgallery ts-vgallery-backward',
					'f24e' => 'ts-vgallery ts-vgallery-balance-scale',
					'f080' => 'ts-vgallery ts-vgallery-bar-chart',
					'f02a' => 'ts-vgallery ts-vgallery-barcode',
					'f0c9' => 'ts-vgallery ts-vgallery-bars',
					'f244' => 'ts-vgallery ts-vgallery-battery-empty',
					'f240' => 'ts-vgallery ts-vgallery-battery-full',
					'f242' => 'ts-vgallery ts-vgallery-battery-half',
					'f243' => 'ts-vgallery ts-vgallery-battery-quarter',
					'f241' => 'ts-vgallery ts-vgallery-battery-three-quarters',
					'f236' => 'ts-vgallery ts-vgallery-bed',
					'f0fc' => 'ts-vgallery ts-vgallery-beer',
					'f1b4' => 'ts-vgallery ts-vgallery-behance',
					'f1b5' => 'ts-vgallery ts-vgallery-behance-square',
					'f0f3' => 'ts-vgallery ts-vgallery-bell',
					'f0a2' => 'ts-vgallery ts-vgallery-bell-o',
					'f1f6' => 'ts-vgallery ts-vgallery-bell-slash',
					'f1f7' => 'ts-vgallery ts-vgallery-bell-slash-o',
					'f206' => 'ts-vgallery ts-vgallery-bicycle',
					'f1e5' => 'ts-vgallery ts-vgallery-binoculars',
					'f1fd' => 'ts-vgallery ts-vgallery-birthday-cake',
					'f171' => 'ts-vgallery ts-vgallery-bitbucket',
					'f172' => 'ts-vgallery ts-vgallery-bitbucket-square',
					'f27e' => 'ts-vgallery ts-vgallery-black-tie',
					'f29d' => 'ts-vgallery ts-vgallery-blind',
					'f293' => 'ts-vgallery ts-vgallery-bluetooth',
					'f294' => 'ts-vgallery ts-vgallery-bluetooth-b',
					'f032' => 'ts-vgallery ts-vgallery-bold',
					'f0e7' => 'ts-vgallery ts-vgallery-bolt',
					'f1e2' => 'ts-vgallery ts-vgallery-bomb',
					'f02d' => 'ts-vgallery ts-vgallery-book',
					'f02e' => 'ts-vgallery ts-vgallery-bookmark',
					'f097' => 'ts-vgallery ts-vgallery-bookmark-o',
					'f2a1' => 'ts-vgallery ts-vgallery-braille',
					'f0b1' => 'ts-vgallery ts-vgallery-briefcase',
					'f15a' => 'ts-vgallery ts-vgallery-btc',
					'f188' => 'ts-vgallery ts-vgallery-bug',
					'f1ad' => 'ts-vgallery ts-vgallery-building',
					'f0f7' => 'ts-vgallery ts-vgallery-building-o',
					'f0a1' => 'ts-vgallery ts-vgallery-bullhorn',
					'f140' => 'ts-vgallery ts-vgallery-bullseye',
					'f207' => 'ts-vgallery ts-vgallery-bus',
					'f20d' => 'ts-vgallery ts-vgallery-buysellads',
					'f1ec' => 'ts-vgallery ts-vgallery-calculator',
					'f073' => 'ts-vgallery ts-vgallery-calendar',
					'f274' => 'ts-vgallery ts-vgallery-calendar-check-o',
					'f272' => 'ts-vgallery ts-vgallery-calendar-minus-o',
					'f133' => 'ts-vgallery ts-vgallery-calendar-o',
					'f271' => 'ts-vgallery ts-vgallery-calendar-plus-o',
					'f273' => 'ts-vgallery ts-vgallery-calendar-times-o',
					'f030' => 'ts-vgallery ts-vgallery-camera',
					'f083' => 'ts-vgallery ts-vgallery-camera-retro',
					'f1b9' => 'ts-vgallery ts-vgallery-car',
					'f0d7' => 'ts-vgallery ts-vgallery-caret-down',
					'f0d9' => 'ts-vgallery ts-vgallery-caret-left',
					'f0da' => 'ts-vgallery ts-vgallery-caret-right',
					'f150' => 'ts-vgallery ts-vgallery-caret-square-o-down',
					'f191' => 'ts-vgallery ts-vgallery-caret-square-o-left',
					'f152' => 'ts-vgallery ts-vgallery-caret-square-o-right',
					'f151' => 'ts-vgallery ts-vgallery-caret-square-o-up',
					'f0d8' => 'ts-vgallery ts-vgallery-caret-up',
					'f218' => 'ts-vgallery ts-vgallery-cart-arrow-down',
					'f217' => 'ts-vgallery ts-vgallery-cart-plus',
					'f20a' => 'ts-vgallery ts-vgallery-cc',
					'f1f3' => 'ts-vgallery ts-vgallery-cc-amex',
					'f24c' => 'ts-vgallery ts-vgallery-cc-diners-club',
					'f1f2' => 'ts-vgallery ts-vgallery-cc-discover',
					'f24b' => 'ts-vgallery ts-vgallery-cc-jcb',
					'f1f1' => 'ts-vgallery ts-vgallery-cc-mastercard',
					'f1f4' => 'ts-vgallery ts-vgallery-cc-paypal',
					'f1f5' => 'ts-vgallery ts-vgallery-cc-stripe',
					'f1f0' => 'ts-vgallery ts-vgallery-cc-visa',
					'f0a3' => 'ts-vgallery ts-vgallery-certificate',
					'f127' => 'ts-vgallery ts-vgallery-chain-broken',
					'f00c' => 'ts-vgallery ts-vgallery-check',
					'f058' => 'ts-vgallery ts-vgallery-check-circle',
					'f05d' => 'ts-vgallery ts-vgallery-check-circle-o',
					'f14a' => 'ts-vgallery ts-vgallery-check-square',
					'f046' => 'ts-vgallery ts-vgallery-check-square-o',
					'f13a' => 'ts-vgallery ts-vgallery-chevron-circle-down',
					'f137' => 'ts-vgallery ts-vgallery-chevron-circle-left',
					'f138' => 'ts-vgallery ts-vgallery-chevron-circle-right',
					'f139' => 'ts-vgallery ts-vgallery-chevron-circle-up',
					'f078' => 'ts-vgallery ts-vgallery-chevron-down',
					'f053' => 'ts-vgallery ts-vgallery-chevron-left',
					'f054' => 'ts-vgallery ts-vgallery-chevron-right',
					'f077' => 'ts-vgallery ts-vgallery-chevron-up',
					'f1ae' => 'ts-vgallery ts-vgallery-child',
					'f268' => 'ts-vgallery ts-vgallery-chrome',
					'f111' => 'ts-vgallery ts-vgallery-circle',
					'f10c' => 'ts-vgallery ts-vgallery-circle-o',
					'f1ce' => 'ts-vgallery ts-vgallery-circle-o-notch',
					'f1db' => 'ts-vgallery ts-vgallery-circle-thin',
					'f0ea' => 'ts-vgallery ts-vgallery-clipboard',
					'f017' => 'ts-vgallery ts-vgallery-clock-o',
					'f24d' => 'ts-vgallery ts-vgallery-clone',
					'f0c2' => 'ts-vgallery ts-vgallery-cloud',
					'f0ed' => 'ts-vgallery ts-vgallery-cloud-download',
					'f0ee' => 'ts-vgallery ts-vgallery-cloud-upload',
					'f121' => 'ts-vgallery ts-vgallery-code',
					'f126' => 'ts-vgallery ts-vgallery-code-fork',
					'f1cb' => 'ts-vgallery ts-vgallery-codepen',
					'f284' => 'ts-vgallery ts-vgallery-codiepie',
					'f0f4' => 'ts-vgallery ts-vgallery-coffee',
					'f013' => 'ts-vgallery ts-vgallery-cog',
					'f085' => 'ts-vgallery ts-vgallery-cogs',
					'f0db' => 'ts-vgallery ts-vgallery-columns',
					'f075' => 'ts-vgallery ts-vgallery-comment',
					'f0e5' => 'ts-vgallery ts-vgallery-comment-o',
					'f27a' => 'ts-vgallery ts-vgallery-commenting',
					'f27b' => 'ts-vgallery ts-vgallery-commenting-o',
					'f086' => 'ts-vgallery ts-vgallery-comments',
					'f0e6' => 'ts-vgallery ts-vgallery-comments-o',
					'f14e' => 'ts-vgallery ts-vgallery-compass',
					'f066' => 'ts-vgallery ts-vgallery-compress',
					'f20e' => 'ts-vgallery ts-vgallery-connectdevelop',
					'f26d' => 'ts-vgallery ts-vgallery-contao',
					'f1f9' => 'ts-vgallery ts-vgallery-copyright',
					'f25e' => 'ts-vgallery ts-vgallery-creative-commons',
					'f09d' => 'ts-vgallery ts-vgallery-credit-card',
					'f283' => 'ts-vgallery ts-vgallery-credit-card-alt',
					'f125' => 'ts-vgallery ts-vgallery-crop',
					'f05b' => 'ts-vgallery ts-vgallery-crosshairs',
					'f13c' => 'ts-vgallery ts-vgallery-css3',
					'f1b2' => 'ts-vgallery ts-vgallery-cube',
					'f1b3' => 'ts-vgallery ts-vgallery-cubes',
					'f0f5' => 'ts-vgallery ts-vgallery-cutlery',
					'f210' => 'ts-vgallery ts-vgallery-dashcube',
					'f1c0' => 'ts-vgallery ts-vgallery-database',
					'f2a4' => 'ts-vgallery ts-vgallery-deaf',
					'f1a5' => 'ts-vgallery ts-vgallery-delicious',
					'f108' => 'ts-vgallery ts-vgallery-desktop',
					'f1bd' => 'ts-vgallery ts-vgallery-deviantart',
					'f219' => 'ts-vgallery ts-vgallery-diamond',
					'f1a6' => 'ts-vgallery ts-vgallery-digg',
					'f192' => 'ts-vgallery ts-vgallery-dot-circle-o',
					'f019' => 'ts-vgallery ts-vgallery-download',
					'f17d' => 'ts-vgallery ts-vgallery-dribbble',
					'f16b' => 'ts-vgallery ts-vgallery-dropbox',
					'f1a9' => 'ts-vgallery ts-vgallery-drupal',
					'f282' => 'ts-vgallery ts-vgallery-edge',
					'f052' => 'ts-vgallery ts-vgallery-eject',
					'f141' => 'ts-vgallery ts-vgallery-ellipsis-h',
					'f142' => 'ts-vgallery ts-vgallery-ellipsis-v',
					'f1d1' => 'ts-vgallery ts-vgallery-empire',
					'f0e0' => 'ts-vgallery ts-vgallery-envelope',
					'f003' => 'ts-vgallery ts-vgallery-envelope-o',
					'f199' => 'ts-vgallery ts-vgallery-envelope-square',
					'f299' => 'ts-vgallery ts-vgallery-envira',
					'f12d' => 'ts-vgallery ts-vgallery-eraser',
					'f153' => 'ts-vgallery ts-vgallery-eur',
					'f0ec' => 'ts-vgallery ts-vgallery-exchange',
					'f12a' => 'ts-vgallery ts-vgallery-exclamation',
					'f06a' => 'ts-vgallery ts-vgallery-exclamation-circle',
					'f071' => 'ts-vgallery ts-vgallery-exclamation-triangle',
					'f065' => 'ts-vgallery ts-vgallery-expand',
					'f23e' => 'ts-vgallery ts-vgallery-expeditedssl',
					'f08e' => 'ts-vgallery ts-vgallery-external-link',
					'f14c' => 'ts-vgallery ts-vgallery-external-link-square',
					'f06e' => 'ts-vgallery ts-vgallery-eye',
					'f070' => 'ts-vgallery ts-vgallery-eye-slash',
					'f1fb' => 'ts-vgallery ts-vgallery-eyedropper',
					'f09a' => 'ts-vgallery ts-vgallery-facebook',
					'f230' => 'ts-vgallery ts-vgallery-facebook-official',
					'f082' => 'ts-vgallery ts-vgallery-facebook-square',
					'f049' => 'ts-vgallery ts-vgallery-fast-backward',
					'f050' => 'ts-vgallery ts-vgallery-fast-forward',
					'f1ac' => 'ts-vgallery ts-vgallery-fax',
					'f182' => 'ts-vgallery ts-vgallery-female',
					'f0fb' => 'ts-vgallery ts-vgallery-fighter-jet',
					'f15b' => 'ts-vgallery ts-vgallery-file',
					'f1c6' => 'ts-vgallery ts-vgallery-file-archive-o',
					'f1c7' => 'ts-vgallery ts-vgallery-file-audio-o',
					'f1c9' => 'ts-vgallery ts-vgallery-file-code-o',
					'f1c3' => 'ts-vgallery ts-vgallery-file-excel-o',
					'f1c5' => 'ts-vgallery ts-vgallery-file-image-o',
					'f016' => 'ts-vgallery ts-vgallery-file-o',
					'f1c1' => 'ts-vgallery ts-vgallery-file-pdf-o',
					'f1c4' => 'ts-vgallery ts-vgallery-file-powerpoint-o',
					'f15c' => 'ts-vgallery ts-vgallery-file-text',
					'f0f6' => 'ts-vgallery ts-vgallery-file-text-o',
					'f1c8' => 'ts-vgallery ts-vgallery-file-video-o',
					'f1c2' => 'ts-vgallery ts-vgallery-file-word-o',
					'f0c5' => 'ts-vgallery ts-vgallery-files-o',
					'f008' => 'ts-vgallery ts-vgallery-film',
					'f0b0' => 'ts-vgallery ts-vgallery-filter',
					'f06d' => 'ts-vgallery ts-vgallery-fire',
					'f134' => 'ts-vgallery ts-vgallery-fire-extinguisher',
					'f269' => 'ts-vgallery ts-vgallery-firefox',
					'f2b0' => 'ts-vgallery ts-vgallery-first-order',
					'f024' => 'ts-vgallery ts-vgallery-flag',
					'f11e' => 'ts-vgallery ts-vgallery-flag-checkered',
					'f11d' => 'ts-vgallery ts-vgallery-flag-o',
					'f0c3' => 'ts-vgallery ts-vgallery-flask',
					'f16e' => 'ts-vgallery ts-vgallery-flickr',
					'f0c7' => 'ts-vgallery ts-vgallery-floppy-o',
					'f07b' => 'ts-vgallery ts-vgallery-folder',
					'f114' => 'ts-vgallery ts-vgallery-folder-o',
					'f07c' => 'ts-vgallery ts-vgallery-folder-open',
					'f115' => 'ts-vgallery ts-vgallery-folder-open-o',
					'f031' => 'ts-vgallery ts-vgallery-font',
					'f2b4' => 'ts-vgallery ts-vgallery-font-awesome',
					'f280' => 'ts-vgallery ts-vgallery-fonticons',
					'f286' => 'ts-vgallery ts-vgallery-fort-awesome',
					'f211' => 'ts-vgallery ts-vgallery-forumbee',
					'f04e' => 'ts-vgallery ts-vgallery-forward',
					'f180' => 'ts-vgallery ts-vgallery-foursquare',
					'f119' => 'ts-vgallery ts-vgallery-frown-o',
					'f1e3' => 'ts-vgallery ts-vgallery-futbol-o',
					'f11b' => 'ts-vgallery ts-vgallery-gamepad',
					'f0e3' => 'ts-vgallery ts-vgallery-gavel',
					'f154' => 'ts-vgallery ts-vgallery-gbp',
					'f22d' => 'ts-vgallery ts-vgallery-genderless',
					'f265' => 'ts-vgallery ts-vgallery-get-pocket',
					'f260' => 'ts-vgallery ts-vgallery-gg',
					'f261' => 'ts-vgallery ts-vgallery-gg-circle',
					'f06b' => 'ts-vgallery ts-vgallery-gift',
					'f1d3' => 'ts-vgallery ts-vgallery-git',
					'f1d2' => 'ts-vgallery ts-vgallery-git-square',
					'f296' => 'ts-vgallery ts-vgallery-gitlab',
					'f09b' => 'ts-vgallery ts-vgallery-github',
					'f113' => 'ts-vgallery ts-vgallery-github-alt',
					'f092' => 'ts-vgallery ts-vgallery-github-square',
					'f000' => 'ts-vgallery ts-vgallery-glass',
					'f2a5' => 'ts-vgallery ts-vgallery-glide',
					'f2a6' => 'ts-vgallery ts-vgallery-glide-g',
					'f0ac' => 'ts-vgallery ts-vgallery-globe',
					'f1a0' => 'ts-vgallery ts-vgallery-google',
					'f0d5' => 'ts-vgallery ts-vgallery-google-plus',
					'f2b3' => 'ts-vgallery ts-vgallery-google-plus-official',
					'f0d4' => 'ts-vgallery ts-vgallery-google-plus-square',
					'f1ee' => 'ts-vgallery ts-vgallery-google-wallet',
					'f19d' => 'ts-vgallery ts-vgallery-graduation-cap',
					'f184' => 'ts-vgallery ts-vgallery-gratipay',
					'f0fd' => 'ts-vgallery ts-vgallery-h-square',
					'f1d4' => 'ts-vgallery ts-vgallery-hacker-news',
					'f258' => 'ts-vgallery ts-vgallery-hand-lizard-o',
					'f0a7' => 'ts-vgallery ts-vgallery-hand-o-down',
					'f0a5' => 'ts-vgallery ts-vgallery-hand-o-left',
					'f0a4' => 'ts-vgallery ts-vgallery-hand-o-right',
					'f0a6' => 'ts-vgallery ts-vgallery-hand-o-up',
					'f256' => 'ts-vgallery ts-vgallery-hand-paper-o',
					'f25b' => 'ts-vgallery ts-vgallery-hand-peace-o',
					'f25a' => 'ts-vgallery ts-vgallery-hand-pointer-o',
					'f255' => 'ts-vgallery ts-vgallery-hand-rock-o',
					'f257' => 'ts-vgallery ts-vgallery-hand-scissors-o',
					'f259' => 'ts-vgallery ts-vgallery-hand-spock-o',
					'f292' => 'ts-vgallery ts-vgallery-hashtag',
					'f0a0' => 'ts-vgallery ts-vgallery-hdd-o',
					'f1dc' => 'ts-vgallery ts-vgallery-header',
					'f025' => 'ts-vgallery ts-vgallery-headphones',
					'f004' => 'ts-vgallery ts-vgallery-heart',
					'f08a' => 'ts-vgallery ts-vgallery-heart-o',
					'f21e' => 'ts-vgallery ts-vgallery-heartbeat',
					'f1da' => 'ts-vgallery ts-vgallery-history',
					'f015' => 'ts-vgallery ts-vgallery-home',
					'f0f8' => 'ts-vgallery ts-vgallery-hospital-o',
					'f254' => 'ts-vgallery ts-vgallery-hourglass',
					'f253' => 'ts-vgallery ts-vgallery-hourglass-end',
					'f252' => 'ts-vgallery ts-vgallery-hourglass-half',
					'f250' => 'ts-vgallery ts-vgallery-hourglass-o',
					'f251' => 'ts-vgallery ts-vgallery-hourglass-start',
					'f27c' => 'ts-vgallery ts-vgallery-houzz',
					'f13b' => 'ts-vgallery ts-vgallery-html5',
					'f246' => 'ts-vgallery ts-vgallery-i-cursor',
					'f20b' => 'ts-vgallery ts-vgallery-ils',
					'f01c' => 'ts-vgallery ts-vgallery-inbox',
					'f03c' => 'ts-vgallery ts-vgallery-indent',
					'f275' => 'ts-vgallery ts-vgallery-industry',
					'f129' => 'ts-vgallery ts-vgallery-info',
					'f05a' => 'ts-vgallery ts-vgallery-info-circle',
					'f156' => 'ts-vgallery ts-vgallery-inr',
					'f16d' => 'ts-vgallery ts-vgallery-instagram',
					'f26b' => 'ts-vgallery ts-vgallery-internet-explorer',
					'f208' => 'ts-vgallery ts-vgallery-ioxhost',
					'f033' => 'ts-vgallery ts-vgallery-italic',
					'f1aa' => 'ts-vgallery ts-vgallery-joomla',
					'f157' => 'ts-vgallery ts-vgallery-jpy',
					'f1cc' => 'ts-vgallery ts-vgallery-jsfiddle',
					'f084' => 'ts-vgallery ts-vgallery-key',
					'f11c' => 'ts-vgallery ts-vgallery-keyboard-o',
					'f159' => 'ts-vgallery ts-vgallery-krw',
					'f1ab' => 'ts-vgallery ts-vgallery-language',
					'f109' => 'ts-vgallery ts-vgallery-laptop',
					'f202' => 'ts-vgallery ts-vgallery-lastfm',
					'f203' => 'ts-vgallery ts-vgallery-lastfm-square',
					'f06c' => 'ts-vgallery ts-vgallery-leaf',
					'f212' => 'ts-vgallery ts-vgallery-leanpub',
					'f094' => 'ts-vgallery ts-vgallery-lemon-o',
					'f149' => 'ts-vgallery ts-vgallery-level-down',
					'f148' => 'ts-vgallery ts-vgallery-level-up',
					'f1cd' => 'ts-vgallery ts-vgallery-life-ring',
					'f0eb' => 'ts-vgallery ts-vgallery-lightbulb-o',
					'f201' => 'ts-vgallery ts-vgallery-line-chart',
					'f0c1' => 'ts-vgallery ts-vgallery-link',
					'f0e1' => 'ts-vgallery ts-vgallery-linkedin',
					'f08c' => 'ts-vgallery ts-vgallery-linkedin-square',
					'f17c' => 'ts-vgallery ts-vgallery-linux',
					'f03a' => 'ts-vgallery ts-vgallery-list',
					'f022' => 'ts-vgallery ts-vgallery-list-alt',
					'f0cb' => 'ts-vgallery ts-vgallery-list-ol',
					'f0ca' => 'ts-vgallery ts-vgallery-list-ul',
					'f124' => 'ts-vgallery ts-vgallery-location-arrow',
					'f023' => 'ts-vgallery ts-vgallery-lock',
					'f175' => 'ts-vgallery ts-vgallery-long-arrow-down',
					'f177' => 'ts-vgallery ts-vgallery-long-arrow-left',
					'f178' => 'ts-vgallery ts-vgallery-long-arrow-right',
					'f176' => 'ts-vgallery ts-vgallery-long-arrow-up',
					'f2a8' => 'ts-vgallery ts-vgallery-low-vision',
					'f0d0' => 'ts-vgallery ts-vgallery-magic',
					'f076' => 'ts-vgallery ts-vgallery-magnet',
					'f183' => 'ts-vgallery ts-vgallery-male',
					'f279' => 'ts-vgallery ts-vgallery-map',
					'f041' => 'ts-vgallery ts-vgallery-map-marker',
					'f278' => 'ts-vgallery ts-vgallery-map-o',
					'f276' => 'ts-vgallery ts-vgallery-map-pin',
					'f277' => 'ts-vgallery ts-vgallery-map-signs',
					'f222' => 'ts-vgallery ts-vgallery-mars',
					'f227' => 'ts-vgallery ts-vgallery-mars-double',
					'f229' => 'ts-vgallery ts-vgallery-mars-stroke',
					'f22b' => 'ts-vgallery ts-vgallery-mars-stroke-h',
					'f22a' => 'ts-vgallery ts-vgallery-mars-stroke-v',
					'f136' => 'ts-vgallery ts-vgallery-maxcdn',
					'f20c' => 'ts-vgallery ts-vgallery-meanpath',
					'f23a' => 'ts-vgallery ts-vgallery-medium',
					'f0fa' => 'ts-vgallery ts-vgallery-medkit',
					'f11a' => 'ts-vgallery ts-vgallery-meh-o',
					'f223' => 'ts-vgallery ts-vgallery-mercury',
					'f130' => 'ts-vgallery ts-vgallery-microphone',
					'f131' => 'ts-vgallery ts-vgallery-microphone-slash',
					'f068' => 'ts-vgallery ts-vgallery-minus',
					'f056' => 'ts-vgallery ts-vgallery-minus-circle',
					'f146' => 'ts-vgallery ts-vgallery-minus-square',
					'f147' => 'ts-vgallery ts-vgallery-minus-square-o',
					'f289' => 'ts-vgallery ts-vgallery-mixcloud',
					'f10b' => 'ts-vgallery ts-vgallery-mobile',
					'f285' => 'ts-vgallery ts-vgallery-modx',
					'f0d6' => 'ts-vgallery ts-vgallery-money',
					'f186' => 'ts-vgallery ts-vgallery-moon-o',
					'f21c' => 'ts-vgallery ts-vgallery-motorcycle',
					'f245' => 'ts-vgallery ts-vgallery-mouse-pointer',
					'f001' => 'ts-vgallery ts-vgallery-music',
					'f22c' => 'ts-vgallery ts-vgallery-neuter',
					'f1ea' => 'ts-vgallery ts-vgallery-newspaper-o',
					'f247' => 'ts-vgallery ts-vgallery-object-group',
					'f248' => 'ts-vgallery ts-vgallery-object-ungroup',
					'f263' => 'ts-vgallery ts-vgallery-odnoklassniki',
					'f264' => 'ts-vgallery ts-vgallery-odnoklassniki-square',
					'f23d' => 'ts-vgallery ts-vgallery-opencart',
					'f19b' => 'ts-vgallery ts-vgallery-openid',
					'f26a' => 'ts-vgallery ts-vgallery-opera',
					'f23c' => 'ts-vgallery ts-vgallery-optin-monster',
					'f03b' => 'ts-vgallery ts-vgallery-outdent',
					'f18c' => 'ts-vgallery ts-vgallery-pagelines',
					'f1fc' => 'ts-vgallery ts-vgallery-paint-brush',
					'f1d8' => 'ts-vgallery ts-vgallery-paper-plane',
					'f1d9' => 'ts-vgallery ts-vgallery-paper-plane-o',
					'f0c6' => 'ts-vgallery ts-vgallery-paperclip',
					'f1dd' => 'ts-vgallery ts-vgallery-paragraph',
					'f04c' => 'ts-vgallery ts-vgallery-pause',
					'f28b' => 'ts-vgallery ts-vgallery-pause-circle',
					'f28c' => 'ts-vgallery ts-vgallery-pause-circle-o',
					'f1b0' => 'ts-vgallery ts-vgallery-paw',
					'f1ed' => 'ts-vgallery ts-vgallery-paypal',
					'f040' => 'ts-vgallery ts-vgallery-pencil',
					'f14b' => 'ts-vgallery ts-vgallery-pencil-square',
					'f044' => 'ts-vgallery ts-vgallery-pencil-square-o',
					'f295' => 'ts-vgallery ts-vgallery-percent',
					'f095' => 'ts-vgallery ts-vgallery-phone',
					'f098' => 'ts-vgallery ts-vgallery-phone-square',
					'f03e' => 'ts-vgallery ts-vgallery-picture-o',
					'f200' => 'ts-vgallery ts-vgallery-pie-chart',
					'f2ae' => 'ts-vgallery ts-vgallery-pied-piper',
					'f1a8' => 'ts-vgallery ts-vgallery-pied-piper-alt',
					'f1a7' => 'ts-vgallery ts-vgallery-pied-piper-pp',
					'f0d2' => 'ts-vgallery ts-vgallery-pinterest',
					'f231' => 'ts-vgallery ts-vgallery-pinterest-p',
					'f0d3' => 'ts-vgallery ts-vgallery-pinterest-square',
					'f072' => 'ts-vgallery ts-vgallery-plane',
					'f04b' => 'ts-vgallery ts-vgallery-play',
					'f144' => 'ts-vgallery ts-vgallery-play-circle',
					'f01d' => 'ts-vgallery ts-vgallery-play-circle-o',
					'f1e6' => 'ts-vgallery ts-vgallery-plug',
					'f067' => 'ts-vgallery ts-vgallery-plus',
					'f055' => 'ts-vgallery ts-vgallery-plus-circle',
					'f0fe' => 'ts-vgallery ts-vgallery-plus-square',
					'f196' => 'ts-vgallery ts-vgallery-plus-square-o',
					'f011' => 'ts-vgallery ts-vgallery-power-off',
					'f02f' => 'ts-vgallery ts-vgallery-print',
					'f288' => 'ts-vgallery ts-vgallery-product-hunt',
					'f12e' => 'ts-vgallery ts-vgallery-puzzle-piece',
					'f1d6' => 'ts-vgallery ts-vgallery-qq',
					'f029' => 'ts-vgallery ts-vgallery-qrcode',
					'f128' => 'ts-vgallery ts-vgallery-question',
					'f059' => 'ts-vgallery ts-vgallery-question-circle',
					'f29c' => 'ts-vgallery ts-vgallery-question-circle-o',
					'f10d' => 'ts-vgallery ts-vgallery-quote-left',
					'f10e' => 'ts-vgallery ts-vgallery-quote-right',
					'f074' => 'ts-vgallery ts-vgallery-random',
					'f1d0' => 'ts-vgallery ts-vgallery-rebel',
					'f1b8' => 'ts-vgallery ts-vgallery-recycle',
					'f1a1' => 'ts-vgallery ts-vgallery-reddit',
					'f281' => 'ts-vgallery ts-vgallery-reddit-alien',
					'f1a2' => 'ts-vgallery ts-vgallery-reddit-square',
					'f021' => 'ts-vgallery ts-vgallery-refresh',
					'f25d' => 'ts-vgallery ts-vgallery-registered',
					'f18b' => 'ts-vgallery ts-vgallery-renren',
					'f01e' => 'ts-vgallery ts-vgallery-repeat',
					'f112' => 'ts-vgallery ts-vgallery-reply',
					'f122' => 'ts-vgallery ts-vgallery-reply-all',
					'f079' => 'ts-vgallery ts-vgallery-retweet',
					'f018' => 'ts-vgallery ts-vgallery-road',
					'f135' => 'ts-vgallery ts-vgallery-rocket',
					'f09e' => 'ts-vgallery ts-vgallery-rss',
					'f143' => 'ts-vgallery ts-vgallery-rss-square',
					'f158' => 'ts-vgallery ts-vgallery-rub',
					'f267' => 'ts-vgallery ts-vgallery-safari',
					'f0c4' => 'ts-vgallery ts-vgallery-scissors',
					'f28a' => 'ts-vgallery ts-vgallery-scribd',
					'f002' => 'ts-vgallery ts-vgallery-search',
					'f010' => 'ts-vgallery ts-vgallery-search-minus',
					'f00e' => 'ts-vgallery ts-vgallery-search-plus',
					'f213' => 'ts-vgallery ts-vgallery-sellsy',
					'f233' => 'ts-vgallery ts-vgallery-server',
					'f064' => 'ts-vgallery ts-vgallery-share',
					'f1e0' => 'ts-vgallery ts-vgallery-share-alt',
					'f1e1' => 'ts-vgallery ts-vgallery-share-alt-square',
					'f14d' => 'ts-vgallery ts-vgallery-share-square',
					'f045' => 'ts-vgallery ts-vgallery-share-square-o',
					'f132' => 'ts-vgallery ts-vgallery-shield',
					'f21a' => 'ts-vgallery ts-vgallery-ship',
					'f214' => 'ts-vgallery ts-vgallery-shirtsinbulk',
					'f290' => 'ts-vgallery ts-vgallery-shopping-bag',
					'f291' => 'ts-vgallery ts-vgallery-shopping-basket',
					'f07a' => 'ts-vgallery ts-vgallery-shopping-cart',
					'f090' => 'ts-vgallery ts-vgallery-sign-in',
					'f2a7' => 'ts-vgallery ts-vgallery-sign-language',
					'f08b' => 'ts-vgallery ts-vgallery-sign-out',
					'f012' => 'ts-vgallery ts-vgallery-signal',
					'f215' => 'ts-vgallery ts-vgallery-simplybuilt',
					'f0e8' => 'ts-vgallery ts-vgallery-sitemap',
					'f216' => 'ts-vgallery ts-vgallery-skyatlas',
					'f17e' => 'ts-vgallery ts-vgallery-skype',
					'f198' => 'ts-vgallery ts-vgallery-slack',
					'f1de' => 'ts-vgallery ts-vgallery-sliders',
					'f1e7' => 'ts-vgallery ts-vgallery-slideshare',
					'f118' => 'ts-vgallery ts-vgallery-smile-o',
					'f2ab' => 'ts-vgallery ts-vgallery-snapchat',
					'f2ac' => 'ts-vgallery ts-vgallery-snapchat-ghost',
					'f2ad' => 'ts-vgallery ts-vgallery-snapchat-square',
					'f0dc' => 'ts-vgallery ts-vgallery-sort',
					'f15d' => 'ts-vgallery ts-vgallery-sort-alpha-asc',
					'f15e' => 'ts-vgallery ts-vgallery-sort-alpha-desc',
					'f160' => 'ts-vgallery ts-vgallery-sort-amount-asc',
					'f161' => 'ts-vgallery ts-vgallery-sort-amount-desc',
					'f0de' => 'ts-vgallery ts-vgallery-sort-asc',
					'f0dd' => 'ts-vgallery ts-vgallery-sort-desc',
					'f162' => 'ts-vgallery ts-vgallery-sort-numeric-asc',
					'f163' => 'ts-vgallery ts-vgallery-sort-numeric-desc',
					'f1be' => 'ts-vgallery ts-vgallery-soundcloud',
					'f197' => 'ts-vgallery ts-vgallery-space-shuttle',
					'f110' => 'ts-vgallery ts-vgallery-spinner',
					'f1b1' => 'ts-vgallery ts-vgallery-spoon',
					'f1bc' => 'ts-vgallery ts-vgallery-spotify',
					'f0c8' => 'ts-vgallery ts-vgallery-square',
					'f096' => 'ts-vgallery ts-vgallery-square-o',
					'f18d' => 'ts-vgallery ts-vgallery-stack-exchange',
					'f16c' => 'ts-vgallery ts-vgallery-stack-overflow',
					'f005' => 'ts-vgallery ts-vgallery-star',
					'f089' => 'ts-vgallery ts-vgallery-star-half',
					'f123' => 'ts-vgallery ts-vgallery-star-half-o',
					'f006' => 'ts-vgallery ts-vgallery-star-o',
					'f1b6' => 'ts-vgallery ts-vgallery-steam',
					'f1b7' => 'ts-vgallery ts-vgallery-steam-square',
					'f048' => 'ts-vgallery ts-vgallery-step-backward',
					'f051' => 'ts-vgallery ts-vgallery-step-forward',
					'f0f1' => 'ts-vgallery ts-vgallery-stethoscope',
					'f249' => 'ts-vgallery ts-vgallery-sticky-note',
					'f24a' => 'ts-vgallery ts-vgallery-sticky-note-o',
					'f04d' => 'ts-vgallery ts-vgallery-stop',
					'f28d' => 'ts-vgallery ts-vgallery-stop-circle',
					'f28e' => 'ts-vgallery ts-vgallery-stop-circle-o',
					'f21d' => 'ts-vgallery ts-vgallery-street-view',
					'f0cc' => 'ts-vgallery ts-vgallery-strikethrough',
					'f1a4' => 'ts-vgallery ts-vgallery-stumbleupon',
					'f1a3' => 'ts-vgallery ts-vgallery-stumbleupon-circle',
					'f12c' => 'ts-vgallery ts-vgallery-subscript',
					'f239' => 'ts-vgallery ts-vgallery-subway',
					'f0f2' => 'ts-vgallery ts-vgallery-suitcase',
					'f185' => 'ts-vgallery ts-vgallery-sun-o',
					'f12b' => 'ts-vgallery ts-vgallery-superscript',
					'f0ce' => 'ts-vgallery ts-vgallery-table',
					'f10a' => 'ts-vgallery ts-vgallery-tablet',
					'f0e4' => 'ts-vgallery ts-vgallery-tachometer',
					'f02b' => 'ts-vgallery ts-vgallery-tag',
					'f02c' => 'ts-vgallery ts-vgallery-tags',
					'f0ae' => 'ts-vgallery ts-vgallery-tasks',
					'f1ba' => 'ts-vgallery ts-vgallery-taxi',
					'f26c' => 'ts-vgallery ts-vgallery-television',
					'f1d5' => 'ts-vgallery ts-vgallery-tencent-weibo',
					'f120' => 'ts-vgallery ts-vgallery-terminal',
					'f034' => 'ts-vgallery ts-vgallery-text-height',
					'f035' => 'ts-vgallery ts-vgallery-text-width',
					'f00a' => 'ts-vgallery ts-vgallery-th',
					'f009' => 'ts-vgallery ts-vgallery-th-large',
					'f00b' => 'ts-vgallery ts-vgallery-th-list',
					'f2b2' => 'ts-vgallery ts-vgallery-themeisle',
					'f08d' => 'ts-vgallery ts-vgallery-thumb-tack',
					'f165' => 'ts-vgallery ts-vgallery-thumbs-down',
					'f088' => 'ts-vgallery ts-vgallery-thumbs-o-down',
					'f087' => 'ts-vgallery ts-vgallery-thumbs-o-up',
					'f164' => 'ts-vgallery ts-vgallery-thumbs-up',
					'f145' => 'ts-vgallery ts-vgallery-ticket',
					'f00d' => 'ts-vgallery ts-vgallery-times',
					'f057' => 'ts-vgallery ts-vgallery-times-circle',
					'f05c' => 'ts-vgallery ts-vgallery-times-circle-o',
					'f043' => 'ts-vgallery ts-vgallery-tint',
					'f204' => 'ts-vgallery ts-vgallery-toggle-off',
					'f205' => 'ts-vgallery ts-vgallery-toggle-on',
					'f25c' => 'ts-vgallery ts-vgallery-trademark',
					'f238' => 'ts-vgallery ts-vgallery-train',
					'f224' => 'ts-vgallery ts-vgallery-transgender',
					'f225' => 'ts-vgallery ts-vgallery-transgender-alt',
					'f1f8' => 'ts-vgallery ts-vgallery-trash',
					'f014' => 'ts-vgallery ts-vgallery-trash-o',
					'f1bb' => 'ts-vgallery ts-vgallery-tree',
					'f181' => 'ts-vgallery ts-vgallery-trello',
					'f262' => 'ts-vgallery ts-vgallery-tripadvisor',
					'f091' => 'ts-vgallery ts-vgallery-trophy',
					'f0d1' => 'ts-vgallery ts-vgallery-truck',
					'f195' => 'ts-vgallery ts-vgallery-try',
					'f1e4' => 'ts-vgallery ts-vgallery-tty',
					'f173' => 'ts-vgallery ts-vgallery-tumblr',
					'f174' => 'ts-vgallery ts-vgallery-tumblr-square',
					'f1e8' => 'ts-vgallery ts-vgallery-twitch',
					'f099' => 'ts-vgallery ts-vgallery-twitter',
					'f081' => 'ts-vgallery ts-vgallery-twitter-square',
					'f0e9' => 'ts-vgallery ts-vgallery-umbrella',
					'f0cd' => 'ts-vgallery ts-vgallery-underline',
					'f0e2' => 'ts-vgallery ts-vgallery-undo',
					'f29a' => 'ts-vgallery ts-vgallery-universal-access',
					'f19c' => 'ts-vgallery ts-vgallery-university',
					'f09c' => 'ts-vgallery ts-vgallery-unlock',
					'f13e' => 'ts-vgallery ts-vgallery-unlock-alt',
					'f093' => 'ts-vgallery ts-vgallery-upload',
					'f287' => 'ts-vgallery ts-vgallery-usb',
					'f155' => 'ts-vgallery ts-vgallery-usd',
					'f007' => 'ts-vgallery ts-vgallery-user',
					'f0f0' => 'ts-vgallery ts-vgallery-user-md',
					'f234' => 'ts-vgallery ts-vgallery-user-plus',
					'f21b' => 'ts-vgallery ts-vgallery-user-secret',
					'f235' => 'ts-vgallery ts-vgallery-user-times',
					'f0c0' => 'ts-vgallery ts-vgallery-users',
					'f221' => 'ts-vgallery ts-vgallery-venus',
					'f226' => 'ts-vgallery ts-vgallery-venus-double',
					'f228' => 'ts-vgallery ts-vgallery-venus-mars',
					'f237' => 'ts-vgallery ts-vgallery-viacoin',
					'f2a9' => 'ts-vgallery ts-vgallery-viadeo',
					'f2aa' => 'ts-vgallery ts-vgallery-viadeo-square',
					'f03d' => 'ts-vgallery ts-vgallery-video-camera',
					'f27d' => 'ts-vgallery ts-vgallery-vimeo',
					'f194' => 'ts-vgallery ts-vgallery-vimeo-square',
					'f1ca' => 'ts-vgallery ts-vgallery-vine',
					'f189' => 'ts-vgallery ts-vgallery-vk',
					'f2a0' => 'ts-vgallery ts-vgallery-volume-control-phone',
					'f027' => 'ts-vgallery ts-vgallery-volume-down',
					'f026' => 'ts-vgallery ts-vgallery-volume-off',
					'f028' => 'ts-vgallery ts-vgallery-volume-up',
					'f18a' => 'ts-vgallery ts-vgallery-weibo',
					'f1d7' => 'ts-vgallery ts-vgallery-weixin',
					'f232' => 'ts-vgallery ts-vgallery-whatsapp',
					'f193' => 'ts-vgallery ts-vgallery-wheelchair',
					'f29b' => 'ts-vgallery ts-vgallery-wheelchair-alt',
					'f1eb' => 'ts-vgallery ts-vgallery-wifi',
					'f266' => 'ts-vgallery ts-vgallery-wikipedia-w',
					'f17a' => 'ts-vgallery ts-vgallery-windows',
					'f19a' => 'ts-vgallery ts-vgallery-wordpress',
					'f297' => 'ts-vgallery ts-vgallery-wpbeginner',
					'f298' => 'ts-vgallery ts-vgallery-wpforms',
					'f0ad' => 'ts-vgallery ts-vgallery-wrench',
					'f168' => 'ts-vgallery ts-vgallery-xing',
					'f169' => 'ts-vgallery ts-vgallery-xing-square',
					'f23b' => 'ts-vgallery ts-vgallery-y-combinator',
					'f19e' => 'ts-vgallery ts-vgallery-yahoo',
					'f1e9' => 'ts-vgallery ts-vgallery-yelp',
					'f2b1' => 'ts-vgallery ts-vgallery-yoast',
					'f167' => 'ts-vgallery ts-vgallery-youtube',
					'f16a' => 'ts-vgallery ts-vgallery-youtube-play',
					'f166' => 'ts-vgallery ts-vgallery-youtube-square',
				),
			),
			'tsvg_font_families' => array(
				'Amaranth'                  => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=KtkuALODe433f0j1zMnFHdc&skey=a086a5f010412431&v=v16#Amaranth',
					'woff'  => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdY.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdU.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdA.woff2',
				),
				'Anton'                     => array(
					'woff'  => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-Ck.woff',
					'eot'   => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-Cs.eot',
					'woff2' => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-C8.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-Co.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=1Ptgg87LROyAm3Kz-Cg&skey=3e16a04254d4c9b3&v=v22#Anton',
				),
				'Battambang'                => array(
					'woff2' => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp4g.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp5A.woff',
					'eot'   => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp5g.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=uk-mEGe7raEw-HjkzZabPnKp5Q&skey=d567eed92f92816&v=v22#Battambang',
					'ttf'   => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp5w.ttf',
				),
				'Baumans'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04aw.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04bQ.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04bg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=-W_-XJj9QyTd3Qfpd_04bA&skey=34ab2ddaf19de28&v=v15#Baumans',
					'eot'   => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04bw.eot',
				),
				'Bungee Shade'              => array(
					'ttf'   => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjW.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjV.woff',
					'eot'   => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjX.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=DtVkJxarWL0t2KdzK3oI_jkc6SjU&skey=fbfaf26ed37f085b&v=v9#BungeeShade',
					'woff2' => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjT.woff2',
				),
				'Butcherman'                => array(
					'eot'   => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5rg.eot',
					'woff'  => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5rA.woff',
					'woff2' => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5qg.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5rw.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=2EbiL-thF0loflXUBOdb5zK5rQ&skey=a81c66da830bfcb3&v=v22#Butcherman',
				),
				'Cabin'                     => array(
					'woff'  => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alwQ.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alwg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alwA&skey=d53a2c61c6b52b74&v=v18#Cabin',
					'woff2' => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alxw.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alww.eot',
				),
				'Cabin Sketch'              => array(
					'eot'   => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhJ.eot',
					'woff'  => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhL.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=QGYpz_kZZAGCONcK2A4bGOj8mNhK&skey=64590cfdee656fb9&v=v17#CabinSketch',
					'woff2' => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhN.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhI.ttf',
				),
				'Cairo'                     => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyV&skey=ee6e3b9105e1a754&v=v17#Cairo',
					'woff2' => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyS.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyW.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyX.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyU.woff',
				),
				'Damion'                    => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=hv-XlzJ3KEUe_YZkamwx&skey=cab2b817d665dc28&v=v10#Damion',
					'eot'   => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamwy.eot',
					'woff'  => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamww.woff',
					'woff2' => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamw2.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamwz.ttf',
				),
				'Eagle Lake'                => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ptRMTiqbbuNJDOiKj9wG1On4Lw&skey=63718d6a75d9c744&v=v18#EagleLake',
					'woff'  => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4Lg.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4LQ.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4LA.eot',
					'woff2' => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4KA.woff2',
				),
				'East Sea Dokdo'            => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=xfuo0Wn2V2_KanASqXSZp22m06_dE60&skey=44c2728630a38fc5&v=v18#EastSeaDokdo',
					'woff2' => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE6o.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE68.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE64.eot',
					'woff'  => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE6w.woff',
				),
				'Fira Sans Condensed'       => array(
					'eot'   => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqQ.eot',
					'woff'  => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqw.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqg&skey=96eb1234fcb38aea&v=v9#FiraSansCondensed',
					'woff2' => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtrQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqA.ttf',
				),
				'Fira Sans Extra Condensed' => array(
					'eot'   => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvg.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvQ&skey=6da40aeae3bd26bf&v=v8#FiraSansExtraCondensed',
					'woff'  => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvA.woff',
					'woff2' => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uug.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvw.ttf',
				),
				'Gafata'                    => array(
					'ttf'   => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaE.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaH.woff',
					'woff2' => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaB.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=XRXV3I6Cn0VJKonINeaG&skey=ac32f67a7703448a&v=v14#Gafata',
					'eot'   => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaF.eot',
				),
				'Jacques Francois'          => array(
					'eot'   => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpA.eot',
					'woff'  => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpg.woff',
					'woff2' => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgoA.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpQ.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpw&skey=f331cd55df0362a4&v=v18#JacquesFrancois',
				),
				'Headland One'              => array(
					'woff'  => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NU.woff',
					'woff2' => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NS.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NX.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NW.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=yYLu0hHR2vKnp89Tk1TCq3TB1_NV&skey=8cb712da05e7381c&v=v13#HeadlandOne',
				),
				'Katibeh'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbVQ.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbUQ.eot',
					'woff'  => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbUw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbUA.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ZGjXol5MQJog4bxDWCpbUg&skey=5f417d48499acf32&v=v15#Katibeh',
				),
				'Monsieur La Doulaise'      => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEc&skey=f0bf0703ab573473&v=v12#MonsieurLaDoulaise',
					'eot'   => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEA.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEU.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEY.woff',
				),
				'Mr De Haviland'            => array(
					'woff2' => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60M.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60c.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=OpNVnooIhJj96FdB73296ksbOg3F60Q&skey=4c1b286187a2a4c2&v=v12#MrDeHaviland',
					'ttf'   => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60Y.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60U.woff',
				),
				'Nova Script'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFo.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFk.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFg.eot',
					'woff2' => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFw.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=7Au7p_IpkSWSTWaFWkumvlQKGFs&skey=5c166543e0bd14ed&v=v23#NovaScript',
				),
				'Nova Square'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4Q.woff',
					'eot'   => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4Y.eot',
					'woff2' => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4I.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4c.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=RrQUbo9-9DV7b06QHgSWsahHT4U&skey=eda40973f7ff17ba&v=v18#NovaSquare',
				),
				'Odor Mean Chey'            => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=raxkHiKDttkTe1aOGcJMR1A_4lrf0Tw&skey=71cf597ba81383f1&v=v25#OdorMeanChey',
					'woff'  => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0T0.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0T4.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0Ts.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0T8.eot',
				),
				'Offside'                   => array(
					'woff'  => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boQQ.woff',
					'woff2' => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boRw.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boQw.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boQg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=HI_KiYMWKa9QrAykc5boQA&skey=5442f4302844a3cf&v=v18#Offside',
				),
				'Old Standard TT'           => array(
					'woff'  => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq-.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=MwQubh3o1vLImiwAVvYawgcf2eVeqlq_&skey=f1cef4e9ada09fef&v=v17#OldStandardTT',
					'eot'   => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq8.eot',
					'woff2' => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq4.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq9.ttf',
				),
				'Oldenburg'                 => array(
					'ttf'   => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSs.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSt.eot',
					'woff'  => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSv.woff',
					'woff2' => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSp.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=fC1jPY5JYWzbywv7c4VKVkSu&skey=9bde624bd7bf0d51&v=v18#Oldenburg',
				),
				'Oxygen'                    => array(
					'woff'  => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0g.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=2sDfZG1Wl4LcnbuKjk0h&skey=65a128e59aae3226&v=v14#Oxygen',
					'woff2' => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0m.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0i.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0j.ttf',
				),
				'Oxygen Mono'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-g.woff',
					'eot'   => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-o.eot',
					'woff2' => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-4.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=h0GsssGg9FxgDgCjLeAd7hjYx-k&skey=464e9f9167c9e76a&v=v11#OxygenMono',
					'ttf'   => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-s.ttf',
				),
				'Princess Sofia'            => array(
					'eot'   => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjA.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjE.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjQ.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=qWczB6yguIb8DZ_GXZst16n7GSz8kjM&skey=c12de19c7965de10&v=v19#PrincessSofia',
					'woff'  => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjI.woff',
				),
				'Prociono'                  => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=r05YGLlR-KxAf9GGO_uuwjA&skey=f1ab602d48b8a5f7&v=v20#Prociono',
					'woff'  => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjE.woff',
					'woff2' => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjc.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjM.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjI.ttf',
				),
				'Prompt'                    => array(
					'eot'   => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNoZ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNod.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=-W__XJnvUD7dzB2KYNoa&skey=154c4e4e997e9cb&v=v9#Prompt',
					'woff'  => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNob.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNoY.ttf',
				),
				'Prosto One'                => array(
					'woff'  => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VXQ.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VXg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=OpNJno4VhNfK-RgpwWWxli1VXA&skey=dd4f849bff091329&v=v15#ProstoOne',
					'eot'   => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VXw.eot',
					'woff2' => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VWw.woff2',
				),
				'Proza Libre'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodNw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodN8.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodN4.eot',
					'woff2' => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodNo.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LYjGdGHgj0k1DIQRyUEyyEoodN0&skey=c693a39898a09712&v=v5#ProzaLibre',
				),
				'Quicksand'                 => array(
					'eot'   => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xg.eot',
					'woff2' => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-wg.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xw.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xA.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xQ&skey=c01f11fa5439d932&v=v28#Quicksand',
				),
				'Quintessential'            => array(
					'ttf'   => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qb0.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qb4.woff',
					'eot'   => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qbw.eot',
					'woff2' => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qbg.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=fdNn9sOGq31Yjnh3qWU14Ddtjb53Qb8&skey=69a7a147bd395e2d&v=v18#Quintessential',
				),
				'Qwigley'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmig.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmjg.eot',
					'woff'  => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmjA.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=1cXzaU3UGJb5tGoCiVtmjQ&skey=556bf49db578a148&v=v14#Qwigley',
					'ttf'   => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmjw.ttf',
				),
				'Racing Sans One'           => array(
					'ttf'   => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDi.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDg&skey=c54fc5912484ccc5&v=v11#RacingSansOne',
					'woff2' => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDn.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDj.eot',
					'woff'  => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDh.woff',
				),
				'Radley'                    => array(
					'woff'  => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwND.woff',
					'eot'   => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwNB.eot',
					'woff2' => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwNF.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LYjDdGzinEIjCN1NpwNC&skey=e57d4c4ee339b3e9&v=v18#Radley',
					'ttf'   => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwNA.ttf',
				),
				'Rajdhani'                  => array(
					'ttf'   => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-M.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-A.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LDIxapCSOBg7S-QT7p4HM-E&skey=2a58cb2a05429b83&v=v14#Rajdhani',
					'eot'   => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-I.eot',
					'woff2' => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-Y.woff2',
				),
				'Rakkas'                    => array(
					'eot'   => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFK.eot',
					'woff'  => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFI.woff',
					'woff2' => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFO.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=Qw3cZQlNHiblL3jPkdFJ&skey=838fd7946900648&v=v15#Rakkas',
					'ttf'   => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFL.ttf',
				),
				'Raleway'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrU.eot',
					'woff'  => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrc.woff',
					'woff2' => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrE.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrY&skey=30a27f2564731c64&v=v26#Raleway',
					'ttf'   => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrQ.ttf',
				),
				'Raleway Dots'              => array(
					'eot'   => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVA.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=6NUR8FifJg6AfQvzpshgwJ8UzvVD&skey=cc3e6aa20688efe&v=v12#RalewayDots',
					'woff'  => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVC.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVB.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVE.woff2',
				),
				'Ramabhadra'                => array(
					'woff2' => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMXg.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMWg.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=EYq2maBOwqRW9P1SQ83LShRMWQ&skey=e9d5795f78cdacfa&v=v13#Ramabhadra',
					'ttf'   => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMWw.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMWA.woff',
				),
				'Ramaraja'                  => array(
					'woff2' => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHE.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHc.woff',
					'eot'   => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHU.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=SlGTmQearpYAYG1CACIjoHY&skey=f83b7da96b6fa9d5&v=v13#Ramaraja',
					'ttf'   => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHQ.ttf',
				),
				'Rosarivo'                  => array(
					'eot'   => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0H0.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0Hw.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0H8.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=PlI-Fl2lO6N9f8HaNDeF0H4&skey=ac6102bdca509a99&v=v18#Rosarivo',
					'woff2' => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0Hk.woff2',
				),
				'Revalia'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kMQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kNQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kMA.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kMw.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=WwkexPimBE2-4ZPESV3kMg&skey=bbf65c76529e0aac&v=v18#Revalia',
				),
				'Siemreap'                  => array(
					'eot'   => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlgo.eot',
					'woff2' => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlg4.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlgs.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlgg.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=Gg82N5oFbgLvHAfNl1YXlgk&skey=b6efc4718dc363e9&v=v15#Siemreap',
				),
				'Sigmar One'                => array(
					'eot'   => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6Tpog.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6Tpow.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=co3DmWZ8kjZuErj9Ta3do6TpoQ&skey=1faaf69a761e7c1&v=v15#SigmarOne',
					'woff2' => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6Tppg.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6TpoA.woff',
				),
				'Signika'                   => array(
					'woff'  => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMg.woff',
					'woff2' => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjM4.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMo.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMk&skey=2df7b3f7f6d8a32a&v=v18#Signika',
					'ttf'   => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMs.ttf',
				),
				'Signika Negative'          => array(
					'ttf'   => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvdw.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvd4&skey=72460f8866ebf5b&v=v18#SignikaNegative',
					'eot'   => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvd0.eot',
					'woff2' => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvdk.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvd8.woff',
				),
				'Simonetta'                 => array(
					'eot'   => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oH.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=x3dickHVYrCU5BU15c4xe_oE&skey=d750687bc3bb71a&v=v21#Simonetta',
					'ttf'   => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oG.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oD.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oF.woff',
				),
				'Tajawal'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBDw.eot',
					'woff'  => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBDQ.woff',
					'woff2' => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBCw.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=Iura6YBj_oCad4k1nzGBDA&skey=549d92590736b326&v=v8#Tajawal',
					'ttf'   => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBDg.ttf',
				),
				'Tangerine'                 => array(
					'woff2' => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZM.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZK.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZJ.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=IurY6Y5j_oScZZow4VOxCZZL&skey=7b78e1b6f929768b&v=v15#Tangerine',
					'eot'   => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZI.eot',
				),
				'Taprom'                    => array(
					'eot'   => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCMy.eot',
					'woff'  => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCMw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCMz.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCM2.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=UcCn3F82JHycULb1RCMx&skey=859dd742e3c12a2a&v=v25#Taprom',
				),
				'Tauri'                     => array(
					'eot'   => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnA.eot',
					'woff'  => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnI.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=TwMA-IISS0AM3LpSUnM&skey=a80ecb7544e95b0b&v=v14#Tauri',
					'ttf'   => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnE.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnQ.woff2',
				),
				'Taviraj'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrVg.eot',
					'woff'  => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrVA.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ahcZv8Cj3ylylTXzTOkrVQ&skey=e380adc86ebdb4d0&v=v9#Taviraj',
					'ttf'   => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrVw.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrUg.woff2',
				),
				'Teko'                      => array(
					'eot'   => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9oQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9pQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9oA.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9ow.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LYjNdG7kmE0gfaN9og&skey=f42f6a86f3e5e4b1&v=v14#Teko',
				),
				'Telex'                     => array(
					'woff2' => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDVs.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ieVw2Y1fKWmIO-fUDVw&skey=f563425e95f7a3e2&v=v12#Telex',
					'eot'   => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDV8.eot',
					'woff'  => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDV0.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDV4.ttf',
				),
				'Tenali Ramakrishna'        => array(
					'woff'  => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_t.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_s&skey=4930e67a756ab02f&v=v10#TenaliRamakrishna',
					'eot'   => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_v.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_u.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_r.woff2',
				),
				'Tenor Sans'                => array(
					'ttf'   => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4Dw.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4Cg.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4Dg.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=bx6ANxqUneKx06UkIXISn3V4DQ&skey=9e159c41209dbf49&v=v15#TenorSans',
					'woff'  => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4DA.woff',
				),
				'Text Me One'               => array(
					'eot'   => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFM.eot',
					'woff'  => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFE.woff',
					'woff2' => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFc.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFI.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=i7dOIFdlayuLUvgoFvHQFVZbYFA&skey=e4462b563ebfbe6&v=v18#TextMeOne',
				),
				'The Girl Next Door'        => array(
					'woff'  => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF8.woff',
					'eot'   => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF-.eot',
					'woff2' => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF6.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF_.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF9&skey=bb61dfb09aee2010&v=v16#TheGirlNextDoor',
				),
				'Tienne'                    => array(
					'woff2' => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nG.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nD.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=AYCKpX7pe9YCRP07l0nB&skey=80ed6e66d365b35a&v=v18#Tienne',
					'woff'  => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nA.woff',
					'eot'   => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nC.eot',
				),
				'Tillana'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdOQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdPA.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdPw.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=VuJxdNvf35P4qJ1OSKHdPg&skey=ca2cb923082f4f9a&v=v9#Tillana',
					'eot'   => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdPQ.eot',
				),
				'Timmana'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRLQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRKQ.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRLw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRLA.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=6xKvdShfL9yK-rvpOmzRLg&skey=909c473ed6ecde4d&v=v10#Timmana',
				),
				'Tinos'                     => array(
					'eot'   => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmA.eot',
					'woff'  => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmI.woff',
					'woff2' => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmQ.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=buE4poGnedXvwjX7fmM&skey=c8b6aa82b57934a&v=v23#Tinos',
					'ttf'   => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmE.ttf',
				),
				'Titan One'                 => array(
					'eot'   => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgi.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=mFTzWbsGxbbS_J5cQcjClDgh&skey=fec1aaa79fef5720&v=v11#TitanOne',
					'woff'  => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgg.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgj.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgm.woff2',
				),
			),
		);
		$this->ts_vgallery_fonts_array = array_merge( $this->ts_vgallery_fonts['tsvg_fonts']['tsvg_emojies'], $this->ts_vgallery_fonts['tsvg_fonts']['tsvg_fontawesome'] );
		$this->ts_vgallery_themes      = array(
			'grid-video-gallery'     => array(
				'TotalSoft_GV_1_01'  => 'true',
				'TotalSoft_GV_1_02'  => 'true',
				'TotalSoft_GV_1_03'  => '3',
				'TotalSoft_GV_1_04'  => '5',
				'TotalSoft_GV_1_05'  => '0',
				'TotalSoft_GV_1_06'  => 'sepia',
				'TotalSoft_GV_1_07'  => '0.5',
				'TotalSoft_GV_1_08'  => '#000000',
				'TotalSoft_GV_1_09'  => 'rgba(0,148,145,0.75)',
				'TotalSoft_GV_1_10'  => '0',
				'TotalSoft_GV_1_11'  => '19',
				'TotalSoft_GV_1_12'  => 'Gabriola',
				'TotalSoft_GV_1_13'  => '#ffffff',
				'TotalSoft_GV_1_14'  => 'center',
				'TotalSoft_GV_1_15'  => '0',
				'TotalSoft_GV_1_16'  => 'dotted',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '#ffffff',
				'TotalSoft_GV_1_18'  => '#ffffff',
				'TotalSoft_GV_1_19'  => '0',
				'TotalSoft_GV_1_20'  => 'solid',
				'TotalSoft_GV_1_21'  => '#009491',
				'TotalSoft_GV_1_22'  => '0',
				'TotalSoft_GV_1_23'  => '30',
				'TotalSoft_GV_1_24'  => '30',
				'TotalSoft_GV_1_25'  => 'Gabriola',
				'TotalSoft_GV_1_26'  => '#009491',
				'TotalSoft_GV_1_27'  => 'center',
				'TotalSoft_GV_1_28'  => '1',
				'TotalSoft_GV_1_29'  => 'solid',
				'TotalSoft_GV_1_30'  => '#cccccc',
				'TotalSoft_GV_1_31'  => '3',
				'TotalSoft_GV_1_32'  => 'ts-vgallery ts-vgallery-arrow-circle-left',
				'TotalSoft_GV_1_33'  => 'ts-vgallery ts-vgallery-arrow-circle-right',
				'TotalSoft_GV_1_34'  => '#009491',
				'TotalSoft_GV_1_35'  => '28',
				'TotalSoft_GV_1_36'  => 'ts-vgallery ts-vgallery-times-circle',
				'TotalSoft_GV_1_37'  => 'ts-vgallery ts-vgallery-times-circle',
				'TotalSoft_GV_1_38'  => '#009491',
				'TotalSoft_GV_1_39'  => '25',
				'TotalSoft_GV_1_40'  => 'false',
				'TotalSoft_GV_2_01'  => '1',
				'TotalSoft_GV_2_02'  => 'solid',
				'TotalSoft_GV_2_03'  => '#009491',
				'TotalSoft_GV_2_04'  => '0',
				'TotalSoft_GV_2_05'  => 'View More',
				'TotalSoft_GV_2_06'  => '#009491',
				'TotalSoft_GV_2_07'  => '#ffffff',
				'TotalSoft_GV_2_08'  => '18',
				'TotalSoft_GV_2_09'  => 'Gabriola',
				'TotalSoft_GV_2_10'  => '#ffffff',
				'TotalSoft_GV_2_11'  => '#009491',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => 'Next',
				'TotalSoft_GV_2_13'  => 'Prev',
				'TotalSoft_GV_2_14'  => '#ffffff',
				'TotalSoft_GV_2_15'  => '#009491',
				'TotalSoft_GV_2_16'  => '23',
				'TotalSoft_GV_2_17'  => 'Gabriola',
				'TotalSoft_GV_2_18'  => '#009491',
				'TotalSoft_GV_2_19'  => '#ffffff',
				'TotalSoft_GV_2_20'  => '#009491',
				'TotalSoft_GV_2_21'  => '#f9f9f9',
				'TotalSoft_GV_2_22'  => 'true',
				'TotalSoft_GV_2_23'  => 'true',
				'TotalSoft_GV_2_24'  => 'solid',
				'TotalSoft_GV_2_25'  => '#009491',
				'TotalSoft_GV_2_26'  => '',
				'TotalSoft_GV_2_27'  => '',
				'TotalSoft_GV_2_28'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_29'  => '',
				'TotalSoft_GV_2_30'  => '',
				'TotalSoft_GV_2_31'  => '',
				'TotalSoft_GV_2_32'  => '',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'  => '',
				'TotalSoft_GV_2_39'  => '',
			),
			'lightBox-video-gallery' => array(
				'TotalSoft_GV_1_01'  => '3',
				'TotalSoft_GV_1_02'  => '5',
				'TotalSoft_GV_1_03'  => '10',
				'TotalSoft_GV_1_04'  => '#000000',
				'TotalSoft_GV_1_05'  => '2',
				'TotalSoft_GV_1_06'  => 'solid',
				'TotalSoft_GV_1_07'  => '#ffffff',
				'TotalSoft_GV_1_08'  => '0',
				'TotalSoft_GV_1_09'  => '#ffffff',
				'TotalSoft_GV_1_10'  => '0',
				'TotalSoft_GV_1_11'  => 'solid',
				'TotalSoft_GV_1_12'  => '#fffff1',
				'TotalSoft_GV_1_13'  => '20',
				'TotalSoft_GV_1_14'  => 'true',
				'TotalSoft_GV_1_15'  => 'center',
				'TotalSoft_GV_1_16'  => '20',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => 'Arial',
				'TotalSoft_GV_1_18'  => '#000000',
				'TotalSoft_GV_1_19'  => '2',
				'TotalSoft_GV_1_20'  => 'ts-vgallery ts-vgallery-play-circle-o',
				'TotalSoft_GV_1_21'  => 'ts-vgallery ts-vgallery-pause-circle-o',
				'TotalSoft_GV_1_22'  => '20',
				'TotalSoft_GV_1_23'  => '#999999',
				'TotalSoft_GV_1_24'  => '2',
				'TotalSoft_GV_1_25'  => 'ts-vgallery ts-vgallery-times-circle-o',
				'TotalSoft_GV_1_26'  => '20',
				'TotalSoft_GV_1_27'  => '#999999',
				'TotalSoft_GV_1_28'  => 'Close',
				'TotalSoft_GV_1_29'  => 'Gabriola',
				'TotalSoft_GV_1_30'  => '3',
				'TotalSoft_GV_1_31'  => 'ts-vgallery ts-vgallery-arrow-circle-left',
				'TotalSoft_GV_1_32'  => 'ts-vgallery ts-vgallery-arrow-circle-right',
				'TotalSoft_GV_1_33'  => '22',
				'TotalSoft_GV_1_34'  => '#000000',
				'TotalSoft_GV_1_35'  => '16',
				'TotalSoft_GV_1_36'  => '#000000',
				'TotalSoft_GV_1_37'  => 'Next',
				'TotalSoft_GV_1_38'  => 'Prev',
				'TotalSoft_GV_1_39'  => '#999999',
				'TotalSoft_GV_2_01'  => '#ffffff',
				'TotalSoft_GV_2_02'  => '17',
				'TotalSoft_GV_2_03'  => 'Gabriola',
				'TotalSoft_GV_2_04'  => '#ffffff',
				'TotalSoft_GV_2_05'  => '#000000',
				'TotalSoft_GV_2_06'  => '#ffffff',
				'TotalSoft_GV_2_07'  => '#999999',
				'TotalSoft_GV_2_08'  => 'solid',
				'TotalSoft_GV_2_09'  => '#ffffff',
				'TotalSoft_GV_2_10'  => 'lImgZoom7',
				'TotalSoft_GV_2_11'  => '6',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '#000000',
				'TotalSoft_GV_2_13'  => 'hovLayTVG1',
				'TotalSoft_GV_2_14'  => '4',
				'TotalSoft_GV_2_15'  => '#ffffff',
				'TotalSoft_GV_2_16'  => '23',
				'TotalSoft_GV_2_17'  => '#000000',
				'TotalSoft_GV_2_18'  => 'Gabriola',
				'TotalSoft_GV_2_19'  => 'Gabriola',
				'TotalSoft_GV_2_20'  => 'hovTit3',
				'TotalSoft_GV_2_21'  => '5',
				'TotalSoft_GV_2_22'  => '0',
				'TotalSoft_GV_2_23'  => 'solid',
				'TotalSoft_GV_2_24'  => '#dd3333',
				'TotalSoft_GV_2_25'  => 'hovLine6',
				'TotalSoft_GV_2_26'  => '6',
				'TotalSoft_GV_2_27'  => '13',
				'TotalSoft_GV_2_28'  => '#ffffff',
				'TotalSoft_GV_2_29'  => '#ffffff',
				'TotalSoft_GV_2_30'  => '1',
				'TotalSoft_GV_2_31'  => 'solid',
				'TotalSoft_GV_2_32'  => 'View More',
				'TotalSoft_GV_2_33'  => 'hovLink7',
				'TotalSoft_GV_2_34'  => '5',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_38'  => '',
				'TotalSoft_GV_2_39'  => '',
			),
			'thumbnails-video'       => array(
				'TotalSoft_GV_1_01'  => 'overlay',
				'TotalSoft_GV_1_02'  => 'fold',
				'TotalSoft_GV_1_03'  => '300',
				'TotalSoft_GV_1_04'  => 'rgba(30,115,190,0.3)',
				'TotalSoft_GV_1_05'  => '30',
				'TotalSoft_GV_1_06'  => '12',
				'TotalSoft_GV_1_07'  => '10',
				'TotalSoft_GV_1_08'  => '0',
				'TotalSoft_GV_1_09'  => '20',
				'TotalSoft_GV_1_10'  => '#009491',
				'TotalSoft_GV_1_11'  => '3',
				'TotalSoft_GV_1_12'  => '180',
				'TotalSoft_GV_1_13'  => '',
				'TotalSoft_GV_1_14'  => '',
				'TotalSoft_GV_1_15'  => '',
				'TotalSoft_GV_1_16'  => '',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '',
				'TotalSoft_GV_1_18'  => '',
				'TotalSoft_GV_1_19'  => '#009491',
				'TotalSoft_GV_1_20'  => 'false',
				'TotalSoft_GV_1_21'  => '#009491',
				'TotalSoft_GV_1_22'  => '0',
				'TotalSoft_GV_1_23'  => '#ffffff',
				'TotalSoft_GV_1_24'  => 'false',
				'TotalSoft_GV_1_25'  => '#009491',
				'TotalSoft_GV_1_26'  => '25',
				'TotalSoft_GV_1_27'  => 'Gabriola',
				'TotalSoft_GV_1_28'  => '#dd3333',
				'TotalSoft_GV_1_29'  => 'center',
				'TotalSoft_GV_1_30'  => '#dd3333',
				'TotalSoft_GV_1_31'  => '16',
				'TotalSoft_GV_1_32'  => '#dd3333',
				'TotalSoft_GV_1_33'  => '#ffffff',
				'TotalSoft_GV_1_34'  => '100',
				'TotalSoft_GV_1_35'  => '#dd3333',
				'TotalSoft_GV_1_36'  => '#ffffff',
				'TotalSoft_GV_1_37'  => '100',
				'TotalSoft_GV_1_38'  => 'Next',
				'TotalSoft_GV_1_39'  => 'Prev',
				'TotalSoft_GV_2_01'  => '#ffffff',
				'TotalSoft_GV_2_02'  => '#dd3333',
				'TotalSoft_GV_2_03'  => '21',
				'TotalSoft_GV_2_04'  => 'Gabriola',
				'TotalSoft_GV_2_05'  => '#dd3333',
				'TotalSoft_GV_2_06'  => '#ffffff',
				'TotalSoft_GV_2_07'  => '#dd3333',
				'TotalSoft_GV_2_08'  => '#e0e0e0',
				'TotalSoft_GV_2_09'  => 'none',
				'TotalSoft_GV_2_10'  => '#dd3333',
				'TotalSoft_GV_2_11'  => '5',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '45',
				'TotalSoft_GV_2_13'  => '#ffffff',
				'TotalSoft_GV_2_14'  => 'ts-vgallery ts-vgallery-play-circle',
				'TotalSoft_GV_2_15'  => '',
				'TotalSoft_GV_2_16'  => '',
				'TotalSoft_GV_2_17'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_18'  => '',
				'TotalSoft_GV_2_19'  => '',
				'TotalSoft_GV_2_20'  => '',
				'TotalSoft_GV_2_21'  => '',
				'TotalSoft_GV_2_22'  => '',
				'TotalSoft_GV_2_23'  => '',
				'TotalSoft_GV_2_24'  => '',
				'TotalSoft_GV_2_25'  => '',
				'TotalSoft_GV_2_26'  => '',
				'TotalSoft_GV_2_27'  => '',
				'TotalSoft_GV_2_28'  => '',
				'TotalSoft_GV_2_29'  => '',
				'TotalSoft_GV_2_30'  => '',
				'TotalSoft_GV_2_31'  => '',
				'TotalSoft_GV_2_32'  => '',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'  => '',
				'TotalSoft_GV_2_39'  => '',
			),
			'content-popup'          => array(
				'TotalSoft_GV_1_01'  => '9',
				'TotalSoft_GV_1_02'  => '190',
				'TotalSoft_GV_1_03'  => '5',
				'TotalSoft_GV_1_04'  => '#ffffff',
				'TotalSoft_GV_1_05'  => '10',
				'TotalSoft_GV_1_06'  => 'false',
				'TotalSoft_GV_1_07'  => '15',
				'TotalSoft_GV_1_08'  => '#009491',
				'TotalSoft_GV_1_09'  => '5',
				'TotalSoft_GV_1_10'  => '#1e73be',
				'TotalSoft_GV_1_11'  => 'true',
				'TotalSoft_GV_1_12'  => '#ffffff',
				'TotalSoft_GV_1_13'  => '25',
				'TotalSoft_GV_1_14'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_15'  => '#1e73be',
				'TotalSoft_GV_1_16'  => 'false',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '1',
				'TotalSoft_GV_1_18'  => '#ffffff',
				'TotalSoft_GV_1_19'  => 'View More ....',
				'TotalSoft_GV_1_20'  => '2',
				'TotalSoft_GV_1_21'  => '#ffffff',
				'TotalSoft_GV_1_22'  => '20',
				'TotalSoft_GV_1_23'  => '#ffffff',
				'TotalSoft_GV_1_24'  => '#000000',
				'TotalSoft_GV_1_25'  => '25',
				'TotalSoft_GV_1_26'  => 'Gabriola',
				'TotalSoft_GV_1_27'  => '#000000',
				'TotalSoft_GV_1_28'  => '#ffffff',
				'TotalSoft_GV_1_29'  => 'Next',
				'TotalSoft_GV_1_30'  => 'Prev',
				'TotalSoft_GV_1_31'  => '#ffffff',
				'TotalSoft_GV_1_32'  => '#999999',
				'TotalSoft_GV_1_33'  => '17',
				'TotalSoft_GV_1_34'  => 'Gabriola',
				'TotalSoft_GV_1_35'  => '#ffffff',
				'TotalSoft_GV_1_36'  => '#000000',
				'TotalSoft_GV_1_37'  => '#000000',
				'TotalSoft_GV_1_38'  => '#ffffff',
				'TotalSoft_GV_1_39'  => 'solid',
				'TotalSoft_GV_2_01'  => '#ffffff',
				'TotalSoft_GV_2_02'  => '#ffffff',
				'TotalSoft_GV_2_03'  => '10',
				'TotalSoft_GV_2_04'  => 'solid',
				'TotalSoft_GV_2_05'  => '#ffffff',
				'TotalSoft_GV_2_06'  => '25',
				'TotalSoft_GV_2_07'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_2_08'  => '#ffffff',
				'TotalSoft_GV_2_09'  => '#1e73be',
				'TotalSoft_GV_2_10'  => 'center',
				'TotalSoft_GV_2_11'  => 'View More ....',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '0',
				'TotalSoft_GV_2_13'  => 'solid',
				'TotalSoft_GV_2_14'  => '#ffffff',
				'TotalSoft_GV_2_15'  => '4',
				'TotalSoft_GV_2_16'  => '#1e73be',
				'TotalSoft_GV_2_17'  => '#ffffff',
				'TotalSoft_GV_2_18'  => '16',
				'TotalSoft_GV_2_19'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_2_20'  => '#ffffff',
				'TotalSoft_GV_2_21'  => '#1e73be',
				'TotalSoft_GV_2_22'  => '#1e73be',
				'TotalSoft_GV_2_23'  => '25',
				'TotalSoft_GV_2_24'  => '#ffffff',
				'TotalSoft_GV_2_25'  => '1',
				'TotalSoft_GV_2_26'  => 'ts-vgallery ts-vgallery-times',
				'TotalSoft_GV_2_27'  => '25',
				'TotalSoft_GV_2_28'  => '#ffffff',
				'TotalSoft_GV_2_29'  => '11',
				'TotalSoft_GV_2_30'  => 'ts-vgallery ts-vgallery-long-arrow-left',
				'TotalSoft_GV_2_31'  => 'ts-vgallery ts-vgallery-long-arrow-right',
				'TotalSoft_GV_2_32'  => 'false',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => 'def',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'  => '',
				'TotalSoft_GV_2_39'  => '',
			),
			'elastic-gallery'        => array(
				'TotalSoft_GV_1_01'  => '3',
				'TotalSoft_GV_1_02'  => '160',
				'TotalSoft_GV_1_03'  => '3',
				'TotalSoft_GV_1_04'  => 'solid',
				'TotalSoft_GV_1_05'  => '#ffffff',
				'TotalSoft_GV_1_06'  => '2',
				'TotalSoft_GV_1_07'  => '#8c8c8c',
				'TotalSoft_GV_1_08'  => 'zEff1',
				'TotalSoft_GV_1_09'  => '4',
				'TotalSoft_GV_1_10'  => '17',
				'TotalSoft_GV_1_11'  => '#ffffff',
				'TotalSoft_GV_1_12'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_13'  => 'rgba(255,0,0,0.85)',
				'TotalSoft_GV_1_14'  => 'zTitfHov1',
				'TotalSoft_GV_1_15'  => '4',
				'TotalSoft_GV_1_16'  => 'true',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '14',
				'TotalSoft_GV_1_18'  => '#ff0000',
				'TotalSoft_GV_1_19'  => 'ts-vgallery ts-vgallery-file-video-o',
				'TotalSoft_GV_1_20'  => '1',
				'TotalSoft_GV_1_21'  => '#ffffff',
				'TotalSoft_GV_1_22'  => 'solid',
				'TotalSoft_GV_1_23'  => '#ffffff',
				'TotalSoft_GV_1_24'  => '#ff0000',
				'TotalSoft_GV_1_25'  => '#ffffff',
				'TotalSoft_GV_1_26'  => '#ffffff',
				'TotalSoft_GV_1_27'  => 'ts-vgallery ts-vgallery-link',
				'TotalSoft_GV_1_28'  => '#000000',
				'TotalSoft_GV_1_29'  => '6',
				'TotalSoft_GV_1_30'  => '#ffffff',
				'TotalSoft_GV_1_31'  => '30',
				'TotalSoft_GV_1_32'  => 'ts-vgallery ts-vgallery-times-circle',
				'TotalSoft_GV_1_33'  => '40',
				'TotalSoft_GV_1_34'  => '#ffffff',
				'TotalSoft_GV_1_35'  => '#000000',
				'TotalSoft_GV_1_36'  => '11',
				'TotalSoft_GV_1_37'  => 'false',
				'TotalSoft_GV_1_38'  => 'true',
				'TotalSoft_GV_1_39'  => '10',
				'TotalSoft_GV_2_01'  => 'solid',
				'TotalSoft_GV_2_02'  => '#ffffff',
				'TotalSoft_GV_2_03'  => '10',
				'TotalSoft_GV_2_04'  => '#000000',
				'TotalSoft_GV_2_05'  => 'Prev',
				'TotalSoft_GV_2_06'  => 'Next',
				'TotalSoft_GV_2_07'  => '#ffffff',
				'TotalSoft_GV_2_08'  => '#000000',
				'TotalSoft_GV_2_09'  => '14',
				'TotalSoft_GV_2_10'  => 'Aldhabi',
				'TotalSoft_GV_2_11'  => '#ffffff',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '#000000',
				'TotalSoft_GV_2_13'  => '#ffffff',
				'TotalSoft_GV_2_14'  => '#000000',
				'TotalSoft_GV_2_15'  => 'solid',
				'TotalSoft_GV_2_16'  => '#ffffff',
				'TotalSoft_GV_2_17'  => '',
				'TotalSoft_GV_2_18'  => '',
				'TotalSoft_GV_2_19'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_20'  => '',
				'TotalSoft_GV_2_21'  => '',
				'TotalSoft_GV_2_22'  => '',
				'TotalSoft_GV_2_23'  => '',
				'TotalSoft_GV_2_24'  => '',
				'TotalSoft_GV_2_25'  => '',
				'TotalSoft_GV_2_26'  => '',
				'TotalSoft_GV_2_27'  => '',
				'TotalSoft_GV_2_28'  => '',
				'TotalSoft_GV_2_29'  => '',
				'TotalSoft_GV_2_30'  => '',
				'TotalSoft_GV_2_31'  => '',
				'TotalSoft_GV_2_32'  => '',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'  => 'ts-vgallery ts-vgallery-long-arrow-left',
				'TotalSoft_GV_2_39'  => 'ts-vgallery ts-vgallery-long-arrow-right',
			),
			'fancy-gallery'          => array(
				'TotalSoft_GV_1_01'  => '3',
				'TotalSoft_GV_1_02'  => '165',
				'TotalSoft_GV_1_03'  => '3',
				'TotalSoft_GV_1_04'  => '#ffffff',
				'TotalSoft_GV_1_05'  => '15',
				'TotalSoft_GV_1_06'  => '#d3d3d3',
				'TotalSoft_GV_1_07'  => '0',
				'TotalSoft_GV_1_08'  => '10',
				'TotalSoft_GV_1_09'  => '15',
				'TotalSoft_GV_1_10'  => 'Arial',
				'TotalSoft_GV_1_11'  => '#ededed',
				'TotalSoft_GV_1_12'  => '1',
				'TotalSoft_GV_1_13'  => 'solid',
				'TotalSoft_GV_1_14'  => '#ffffff',
				'TotalSoft_GV_1_15'  => '0',
				'TotalSoft_GV_1_16'  => '#000000',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '16',
				'TotalSoft_GV_1_18'  => 'Aldhabi',
				'TotalSoft_GV_1_19'  => '#ffffff',
				'TotalSoft_GV_1_20'  => 'center',
				'TotalSoft_GV_1_21'  => '5',
				'TotalSoft_GV_1_22'  => 'rgba(0,0,0,0.07)',
				'TotalSoft_GV_1_23'  => '0',
				'TotalSoft_GV_1_24'  => 'rgba(0,0,0,0.07)',
				'TotalSoft_GV_1_25'  => '#ffffff',
				'TotalSoft_GV_1_26'  => 'rgba(0,0,0,0.07)',
				'TotalSoft_GV_1_27'  => 'rgba(0,0,0,0.07)',
				'TotalSoft_GV_1_28'  => 'Default',
				'TotalSoft_GV_1_29'  => 'rgba(0,0,0,0.25)',
				'TotalSoft_GV_1_30'  => '#000000',
				'TotalSoft_GV_1_31'  => '#ffffff',
				'TotalSoft_GV_1_32'  => '#000000',
				'TotalSoft_GV_1_33'  => '550',
				'TotalSoft_GV_1_34'  => '350',
				'TotalSoft_GV_1_35'  => '#ffffff',
				'TotalSoft_GV_1_36'  => '3',
				'TotalSoft_GV_1_37'  => '95',
				'TotalSoft_GV_1_38'  => '65',
				'TotalSoft_GV_1_39'  => '22',
				'TotalSoft_GV_2_01'  => 'Gabriola',
				'TotalSoft_GV_2_02'  => '#ffffff',
				'TotalSoft_GV_2_03'  => '2',
				'TotalSoft_GV_2_04'  => '50',
				'TotalSoft_GV_2_05'  => '#ffffff',
				'TotalSoft_GV_2_06'  => '2',
				'TotalSoft_GV_2_07'  => '30',
				'TotalSoft_GV_2_08'  => '#ffffff',
				'TotalSoft_GV_2_09'  => 'false',
				'TotalSoft_GV_2_10'  => 'true',
				'TotalSoft_GV_2_11'  => 'true',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => 'false',
				'TotalSoft_GV_2_13'  => 'Prev',
				'TotalSoft_GV_2_14'  => 'Next',
				'TotalSoft_GV_2_15'  => '#ffffff',
				'TotalSoft_GV_2_16'  => '#a3a3a3',
				'TotalSoft_GV_2_17'  => '14',
				'TotalSoft_GV_2_18'  => 'Arial',
				'TotalSoft_GV_2_19'  => '#a3a3a3',
				'TotalSoft_GV_2_20'  => '#ffffff',
				'TotalSoft_GV_2_21'  => '#a3a3a3',
				'TotalSoft_GV_2_22'  => '#ffffff',
				'TotalSoft_GV_2_23'  => 'solid',
				'TotalSoft_GV_2_24'  => '#a3a3a3',
				'TotalSoft_GV_2_25'  => 'View...',
				'TotalSoft_GV_2_26'  => '',
				'TotalSoft_GV_2_27'  => '',
				'TotalSoft_GV_2_28'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_29'  => '',
				'TotalSoft_GV_2_30'  => '',
				'TotalSoft_GV_2_31'  => '',
				'TotalSoft_GV_2_32'  => '',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => 'ts-vgallery ts-vgallery-times-circle',
				'TotalSoft_GV_2_38'  => 'ts-vgallery ts-vgallery-arrow-circle-left',
				'TotalSoft_GV_2_39'  => 'ts-vgallery ts-vgallery-arrow-circle-right',
			),
			'parallax-engine'        => array(
				'TotalSoft_GV_1_01'  => '158',
				'TotalSoft_GV_1_02'  => '3',
				'TotalSoft_GV_1_03'  => '5',
				'TotalSoft_GV_1_04'  => '10',
				'TotalSoft_GV_1_05'  => '#ffffff',
				'TotalSoft_GV_1_06'  => '1',
				'TotalSoft_GV_1_07'  => 'TotalSoft_H_Ef1',
				'TotalSoft_GV_1_08'  => '10',
				'TotalSoft_GV_1_09'  => '14',
				'TotalSoft_GV_1_10'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_11'  => '#ffffff',
				'TotalSoft_GV_1_12'  => '1',
				'TotalSoft_GV_1_13'  => '#ffffff',
				'TotalSoft_GV_1_14'  => 'TotalSoft_Title_Ef4',
				'TotalSoft_GV_1_15'  => 'true',
				'TotalSoft_GV_1_16'  => 'ts-vgallery ts-vgallery-play-circle',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '20',
				'TotalSoft_GV_1_18'  => '#ffffff',
				'TotalSoft_GV_1_19'  => 'TotalSoft_HovLine1',
				'TotalSoft_GV_1_20'  => 'true',
				'TotalSoft_GV_1_21'  => '2',
				'TotalSoft_GV_1_22'  => '#ffffff',
				'TotalSoft_GV_1_23'  => '10',
				'TotalSoft_GV_1_24'  => '#ffffff',
				'TotalSoft_GV_1_25'  => 'rgba(255,255,255,0.3)',
				'TotalSoft_GV_1_26'  => 'TotalSoft_Hov_Overlay1',
				'TotalSoft_GV_1_27'  => 'false',
				'TotalSoft_GV_1_28'  => 'rgba(255,255,255,0.39)',
				'TotalSoft_GV_1_29'  => '1',
				'TotalSoft_GV_1_30'  => 'elastic',
				'TotalSoft_GV_1_31'  => '#000000',
				'TotalSoft_GV_1_32'  => '10',
				'TotalSoft_GV_1_33'  => '#ffffff',
				'TotalSoft_GV_1_34'  => '10',
				'TotalSoft_GV_1_35'  => '#000000',
				'TotalSoft_GV_1_36'  => '#000000',
				'TotalSoft_GV_1_37'  => '16',
				'TotalSoft_GV_1_38'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_39'  => '#ffffff',
				'TotalSoft_GV_2_01'  => '22',
				'TotalSoft_GV_2_02'  => '#ffffff',
				'TotalSoft_GV_2_03'  => '1',
				'TotalSoft_GV_2_04'  => 'ts-vgallery ts-vgallery-times',
				'TotalSoft_GV_2_05'  => '1',
				'TotalSoft_GV_2_06'  => 'Next',
				'TotalSoft_GV_2_07'  => 'Prev',
				'TotalSoft_GV_2_08'  => '#ffffff',
				'TotalSoft_GV_2_09'  => '#000000',
				'TotalSoft_GV_2_10'  => '14',
				'TotalSoft_GV_2_11'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '#c1c1c1',
				'TotalSoft_GV_2_13'  => '#000000',
				'TotalSoft_GV_2_14'  => '#c1c1c1',
				'TotalSoft_GV_2_15'  => '#000000',
				'TotalSoft_GV_2_16'  => 'solid',
				'TotalSoft_GV_2_17'  => '#ffffff',
				'TotalSoft_GV_2_18'  => '',
				'TotalSoft_GV_2_19'  => '',
				'TotalSoft_GV_2_20'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_21'  => '',
				'TotalSoft_GV_2_22'  => '',
				'TotalSoft_GV_2_23'  => '',
				'TotalSoft_GV_2_24'  => '',
				'TotalSoft_GV_2_25'  => '',
				'TotalSoft_GV_2_26'  => '',
				'TotalSoft_GV_2_27'  => '',
				'TotalSoft_GV_2_28'  => '',
				'TotalSoft_GV_2_29'  => '',
				'TotalSoft_GV_2_30'  => '',
				'TotalSoft_GV_2_31'  => '',
				'TotalSoft_GV_2_32'  => '',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'  => 'ts-vgallery ts-vgallery-angle-double-left',
				'TotalSoft_GV_2_39'  => 'ts-vgallery ts-vgallery-angle-double-right',
			),
			'classic-gallery'        => array(
				'TotalSoft_GV_1_01'  => '2',
				'TotalSoft_GV_1_02'  => 'effect07',
				'TotalSoft_GV_1_03'  => 'rgba(0,0,0,0.5)',
				'TotalSoft_GV_1_04'  => 'rgba(0,0,0,0.5)',
				'TotalSoft_GV_1_05'  => 'none',
				'TotalSoft_GV_1_06'  => 'rgba(0,0,0,0.7)',
				'TotalSoft_GV_1_07'  => '0',
				'TotalSoft_GV_1_08'  => '#000000',
				'TotalSoft_GV_1_09'  => '16',
				'TotalSoft_GV_1_10'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_11'  => '#ffffff',
				'TotalSoft_GV_1_12'  => 'ts-vgallery ts-vgallery-youtube-play',
				'TotalSoft_GV_1_13'  => '#ffffff',
				'TotalSoft_GV_1_14'  => '25',
				'TotalSoft_GV_1_15'  => '#ffffff',
				'TotalSoft_GV_1_16'  => '#ededed',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => '4',
				'TotalSoft_GV_1_18'  => '3',
				'TotalSoft_GV_1_19'  => 'true',
				'TotalSoft_GV_1_20'  => '17',
				'TotalSoft_GV_1_21'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_22'  => '#000000',
				'TotalSoft_GV_1_23'  => 'center',
				'TotalSoft_GV_1_24'  => 'true',
				'TotalSoft_GV_1_25'  => '70',
				'TotalSoft_GV_1_26'  => '2',
				'TotalSoft_GV_1_27'  => 'solid',
				'TotalSoft_GV_1_28'  => '#afafaf',
				'TotalSoft_GV_1_29'  => 'ts-vgallery ts-vgallery-times-circle',
				'TotalSoft_GV_1_30'  => '#000000',
				'TotalSoft_GV_1_31'  => '30',
				'TotalSoft_GV_1_32'  => '3',
				'TotalSoft_GV_1_33'  => '#ededed',
				'TotalSoft_GV_1_34'  => '2',
				'TotalSoft_GV_1_35'  => 'View More . . .',
				'TotalSoft_GV_1_36'  => '#ededed',
				'TotalSoft_GV_1_37'  => '#000000',
				'TotalSoft_GV_1_38'  => '15',
				'TotalSoft_GV_1_39'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_2_01'  => '#ededed',
				'TotalSoft_GV_2_02'  => '#000000',
				'TotalSoft_GV_2_03'  => 'link',
				'TotalSoft_GV_2_04'  => '17',
				'TotalSoft_GV_2_05'  => '#5b5b5b',
				'TotalSoft_GV_2_06'  => 'After',
				'TotalSoft_GV_2_07'  => 'rgba(0,0,0,0.5)',
				'TotalSoft_GV_2_08'  => '#ffffff',
				'TotalSoft_GV_2_09'  => '17',
				'TotalSoft_GV_2_10'  => '#000000',
				'TotalSoft_GV_2_11'  => '#ffffff',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '#000000',
				'TotalSoft_GV_2_13'  => '#ffffff',
				'TotalSoft_GV_2_14'  => 'style05',
				'TotalSoft_GV_2_15'  => '#000000',
				'TotalSoft_GV_2_16'  => 'ts-vgallery ts-vgallery-chevron',
				'TotalSoft_GV_2_17'  => 'ts-vgallery ts-vgallery-long-arrow-down',
				'TotalSoft_GV_2_18'  => 'Before',
				'TotalSoft_GV_2_19'  => '',
				'TotalSoft_GV_2_20'  => '',
				'TotalSoft_GV_2_21'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_22'  => '',
				'TotalSoft_GV_2_23'  => '',
				'TotalSoft_GV_2_24'  => '',
				'TotalSoft_GV_2_25'  => '',
				'TotalSoft_GV_2_26'  => '',
				'TotalSoft_GV_2_27'  => '',
				'TotalSoft_GV_2_28'  => '',
				'TotalSoft_GV_2_29'  => '',
				'TotalSoft_GV_2_30'  => '',
				'TotalSoft_GV_2_31'  => '',
				'TotalSoft_GV_2_32'  => '',
				'TotalSoft_GV_2_33'  => '',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => '',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'=>'ts-vgallery ts-vgallery-chevron-right',
                'TotalSoft_GV_2_39'=>'ts-vgallery ts-vgallery-chevron-left'
			),
			'space-gallery'          => array(
				'TotalSoft_GV_1_01'  => 'animno',
				'TotalSoft_GV_1_02'  => '3',
				'TotalSoft_GV_1_03'  => '10',
				'TotalSoft_GV_1_04'  => '16',
				'TotalSoft_GV_1_05'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_06'  => 'center',
				'TotalSoft_GV_1_07'  => '#000000',
				'TotalSoft_GV_1_08'  => 'gradient2',
				'TotalSoft_GV_1_09'  => 'rgba(255,255,255,0.1)',
				'TotalSoft_GV_1_10'  => '#ffffff',
				'TotalSoft_GV_1_11'  => '',
				'TotalSoft_GV_1_12'  => '#dbdbdb',
				'TotalSoft_GV_1_13'  => '',
				'TotalSoft_GV_1_14'  => 'View More',
				'TotalSoft_GV_1_15'  => '#f4f4f4',
				'TotalSoft_GV_1_16'  => '#898989',
				'TotalSoft_GV_1_PT'  => '',
				'TotalSoft_GV_1_17'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_18'  => '16',
				'TotalSoft_GV_1_19'  => 'effect03',
				'TotalSoft_GV_1_20'  => '#ffffff',
				'TotalSoft_GV_1_21'  => '#000000',
				'TotalSoft_GV_1_22'  => 'ts-vgallery ts-vgallery-camera-retro',
				'TotalSoft_GV_1_23'  => '18',
				'TotalSoft_GV_1_24'  => 'after',
				'TotalSoft_GV_1_25'  => '0',
				'TotalSoft_GV_1_26'  => '#000000',
				'TotalSoft_GV_1_27'  => '#ffffff',
				'TotalSoft_GV_1_28'  => '16',
				'TotalSoft_GV_1_29'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_1_30'  => '#000000',
				'TotalSoft_GV_1_31'  => '80',
				'TotalSoft_GV_1_32'  => '1',
				'TotalSoft_GV_1_33'  => '#e0e0e0',
				'TotalSoft_GV_1_34'  => '',
				'TotalSoft_GV_1_35'  => '',
				'TotalSoft_GV_1_36'  => '',
				'TotalSoft_GV_1_37'  => '',
				'TotalSoft_GV_1_38'  => '',
				'TotalSoft_GV_1_39'  => '',
				'TotalSoft_GV_2_01'  => 'center',
				'TotalSoft_GV_2_02'  => '1',
				'TotalSoft_GV_2_03'  => '#939393',
				'TotalSoft_GV_2_04'  => '20',
				'TotalSoft_GV_2_05'  => 'View More . . .',
				'TotalSoft_GV_2_06'  => '#ffffff',
				'TotalSoft_GV_2_07'  => '#939393',
				'TotalSoft_GV_2_08'  => 'afterdesc',
				'TotalSoft_GV_2_09'  => 'full',
				'TotalSoft_GV_2_10'  => 'Abadi MT Condensed Light',
				'TotalSoft_GV_2_11'  => '15',
				'TotalSoft_GV_FG_PT' => '',
				'TotalSoft_GV_FG_PD' => '',
				'TotalSoft_GV_2_12'  => '#ffffff',
				'TotalSoft_GV_2_13'  => '#000000',
				'TotalSoft_GV_2_14'  => 'ts-vgallery ts-vgallery-external-link-square',
				'TotalSoft_GV_2_15'  => '15',
				'TotalSoft_GV_2_16'  => '#939393',
				'TotalSoft_GV_2_17'  => '#000000',
				'TotalSoft_GV_2_18'  => 'after',
				'TotalSoft_GV_2_19'  => 'ts-vgallery ts-vgallery-times-circle',
				'TotalSoft_GV_2_20'  => '32',
				'TotalSoft_GV_2_21'  => '#ffffff',
				'TotalSoft_GV_2_22'  => 'style01',
				'TotalSoft_GV_2_23'  => '16',
				'TotalSoft_GV_2_24'  => '#ffffff',
				'TotalSoft_GV_2_25'  => '#b5b5b5',
				'TotalSoft_GV_2_26'  => '#b5b5b5',
				'TotalSoft_GV_2_27'  => '#ffffff',
				'TotalSoft_GV_2_28'  => '#b5b5b5',
				'TotalSoft_GV_2_29'  => '#ffffff',
				'TotalSoft_GV_2_30'  => '#b5b5b5',
				'TotalSoft_GV_2_31'  => 'long-arrow',
				'TotalSoft_GV_2_32'  => 'ts-vgallery ts-vgallery-spinner',
				'TotalSoft_GV_2_33'  => 'After',
				'TotalSoft_GV_2_34'  => '',
				'TotalSoft_GV_2_35'  => 'rgba(0,0,0,0.2)',
				'TotalSoft_GV_2_36'  => '',
				'TotalSoft_GV_2_37'  => '',
				'TotalSoft_GV_2_38'  => '',
				'TotalSoft_GV_2_39'  => '',
				'TotalSoft_GV_2_38'=>'ts-vgallery ts-vgallery-long-arrow-right',
                'TotalSoft_GV_2_39'=>'ts-vgallery ts-vgallery-long-arrow-left'
			),
		);
	}
	public function tsvg_icon_swap( $key, $value ) {
		if ( $key != 'ts_vgallery_ch_tbc' && $key != 'ts_vgallery_ch_tac' ) {
			if ( strlen( $value ) == 4 ) {
				if ( $value == 'none' || $value == 'None' ) {
					return 'ts-vgallery ts-vgallery-none';
				} else {
					if ( array_key_exists( $value, $this->ts_vgallery_fonts_array ) ) {
						return $this->ts_vgallery_fonts_array[ $value ];
					} else {
						return 'ts-vgallery ts-vgallery-none';
					}
				}
			} elseif ( $value == '' ) {
				return 'ts-vgallery ts-vgallery-none';
			} else {
				return $value;
			}
		} else {
			if ( strlen( $value ) != 4 ) {
				if ( in_array( $value, $this->ts_vgallery_fonts_array ) ) {
					$key = array_search( $value, $this->ts_vgallery_fonts_array );
					return $key;
				} else {
					if ( $key == 'ts_vgallery_ch_tbc' ) {
						return 'f10c';
					} else {
						return 'f192';
					}
				}
			} else {
				return $value;
			}
		}
	}
	public function tsvg_icon_get_class_value( $value ) {
		if ( strlen( $value ) == 4 ) {
			if ( array_key_exists( $value, $this->ts_vgallery_fonts_array ) ) {
				return $this->ts_vgallery_fonts_array[ $value ];
			} else {
				return $value;
			}
		} else {
			return $value;
		}
	}
	public function tsvg_get_all_fonts() {
		return $this->ts_vgallery_fonts;
	}
	public function tsvg_get_popup() {
		return $tsvg_builder_popup_arr = array(
			'Popup options' => array(
				'ts_vgallery_a_pos' => array(
					'label'       => 'Select popup',
					'type'        => 'select-position-image',
					'options'     => array(
						'Popup 1' => esc_url( plugins_url( 'public/img/tsvg_no_img.jpg', __DIR__ ) ),
						'Popup 2' => esc_url( plugins_url( 'public/img/tsvg_no_img.jpg', __DIR__ ) ),
						'Popup 3' => esc_url( plugins_url( 'public/img/tsvg_no_img.jpg', __DIR__ ) ),
						'Popup 4' => esc_url( plugins_url( 'public/img/tsvg_no_img.jpg', __DIR__ ) ),
						'Popup 5' => esc_url( plugins_url( 'public/img/tsvg_no_img.jpg', __DIR__ ) ),
					),
					'change_elem' => '',
					'change_attr' => 'data-tsvg-Popup',
				),
			),
		);
	}
	public function tsvg_get_all_params() {
		return $tsvg_return_params = array(
			'TS_VG_Title'    => 'Lorem Ipsum',
			'TS_VG_Settings' => array(
				'TotalSoft_VGallery_Set_01' => 'all',
				'TotalSoft_VGallery_Set_02' => '1',
				'TotalSoft_VGallery_Set_03' => 'Load More ...',
				'TotalSoft_VGallery_Set_04' => ' ',
				'TotalSoft_VGallery_Set_05' => 'ef-1',
				'TotalSoft_VGallery_Set_06' => 'vw-1',
				'TotalSoft_VGallery_Set_07' => 'none',
				'TotalSoft_VGallery_Set_08' => 'ef-1',
			),
			'TS_VG_Style'    => array(
				'TotalSoft_VGallery_Sty_01' => 'Next',
				'TotalSoft_VGallery_Sty_02' => 'Prev',
				'TotalSoft_VGallery_Sty_03' => '#ddd',
				'TotalSoft_VGallery_Sty_04' => '#555',
				'TotalSoft_VGallery_Sty_05' => '18',
				'TotalSoft_VGallery_Sty_06' => 'Amaranth',
				'TotalSoft_VGallery_Sty_07' => '#cf095c',
				'TotalSoft_VGallery_Sty_08' => '#cf095c',
				'TotalSoft_VGallery_Sty_09' => '#cf095c',
				'TotalSoft_VGallery_Sty_10' => '#cf095c',
				'TotalSoft_VGallery_Sty_11' => '#ddd',
				'TotalSoft_VGallery_Sty_12' => '2',
				'TotalSoft_VGallery_Sty_13' => '14',
				'TotalSoft_VGallery_Sty_14' => 'ts-vgallery ts-vgallery-ban',
				'TotalSoft_VGallery_Sty_15' => 'ts-vgallery ts-vgallery-ban',
				'TotalSoft_VGallery_Sty_16' => 'false',
				'TotalSoft_VGallery_Sty_17' => 'text',
				'TotalSoft_VGallery_Sty_18' => 'Load More ...',
				'TotalSoft_VGallery_Sty_19' => '#444',
				'TotalSoft_VGallery_Sty_20' => '#fff',
				'TotalSoft_VGallery_Sty_21' => '20',
				'TotalSoft_VGallery_Sty_22' => 'Amaranth',
				'TotalSoft_VGallery_Sty_23' => '#ff1f71',
				'TotalSoft_VGallery_Sty_24' => 'ts-vgallery ts-vgallery-ban',
				'TotalSoft_VGallery_Sty_25' => '#fff',
				'TotalSoft_VGallery_Sty_26' => '#6225E6',
				'TotalSoft_VGallery_Sty_27' => '#FBC638',
			),
			'TS_VG_Sort'     => 'new-1',
			'Videos'        => array(
				'new-1' => array(
					'id'            => 'new-1',
					'TS_VG_SetType' => '',
					'TS_VG_SetName' => 'What is Lorem Ipsum?',
					'TS_VG_Options' => array(
						'TotalSoftVGallery_Vid_Im'    => '',
						'TotalSoftVGallery_Vid_Vd'    => 'https://www.youtube.com/embed/kYY88h5J86A',
						'TotalSoftVGallery_Vid_vont'  => '',
						'TotalSoftVGallery_Vid_vd_em' => '',
						'TotalSoftVGallery_Vid_desc'  => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry.',
						'TotalSoftVGallery_Vid_link'  => 'https://www.lipsum.com/',
						'TotalSoftVGallery_Vid_Cl'    => '#dd3333',
					),
				),
			),
		);
	}
	public function tsvg_get_theme_params( $theme_id ) {
		if ( array_key_exists( $theme_id, $this->ts_vgallery_themes ) ) {
			return $this->ts_vgallery_themes[ $theme_id ];
		} else {
			return array();
		}
	}
	public function tsvg_get_font_face( $value ) {
		if ( array_key_exists( $value, $this->ts_vgallery_fonts['tsvg_font_families'] ) ) {
			return sprintf(
				'
				  @font-face {
					font-family: "%s";
					font-style: normal;
					font-weight: 400;
					src: url("%s"); 
					src: url("%s") format("embedded-opentype"), 
						 url("%s") format("woff2"), 
						 url("%s") format("woff"), 
						 url("%s") format("truetype"), 
						 url("%s") format("svg");
				  }
				',
				esc_attr( $value ),
				array_key_exists( 'eot', $this->ts_vgallery_fonts['tsvg_font_families'][ $value ] ) ? esc_url( $this->ts_vgallery_fonts['tsvg_font_families'][ $value ]['eot'] ) : '',
				array_key_exists( 'eot', $this->ts_vgallery_fonts['tsvg_font_families'][ $value ] ) ? esc_url( $this->ts_vgallery_fonts['tsvg_font_families'][ $value ]['eot'] ) : '',
				array_key_exists( 'woff2', $this->ts_vgallery_fonts['tsvg_font_families'][ $value ] ) ? esc_url( $this->ts_vgallery_fonts['tsvg_font_families'][ $value ]['woff2'] ) : '',
				array_key_exists( 'woff', $this->ts_vgallery_fonts['tsvg_font_families'][ $value ] ) ? esc_url( $this->ts_vgallery_fonts['tsvg_font_families'][ $value ]['woff'] ) : '',
				array_key_exists( 'ttf', $this->ts_vgallery_fonts['tsvg_font_families'][ $value ] ) ? esc_url( $this->ts_vgallery_fonts['tsvg_font_families'][ $value ]['ttf'] ) : '',
				array_key_exists( 'svg', $this->ts_vgallery_fonts['tsvg_font_families'][ $value ] ) ? esc_url( $this->ts_vgallery_fonts['tsvg_font_families'][ $value ]['svg'] ) : ''
			);
		} else {
			return false;
		}
	}
}
